# prepay-service-api

PrepayServiceApi - JavaScript client for prepay-service-api
RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen
For more information, please visit [http://www.jkjn.cn/](http://www.jkjn.cn/)

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install prepay-service-api --save
```

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var PrepayServiceApi = require('prepay-service-api');

var api = new PrepayServiceApi.HandleDataFromCollectorControllerApi()

var opts = { 
  'json': "json_example" // {String} json
};
api.commandJKJNCallbackUsingPOST(opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});


```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PrepayServiceApi.HandleDataFromCollectorControllerApi* | [**commandJKJNCallbackUsingPOST**](docs/HandleDataFromCollectorControllerApi.md#commandJKJNCallbackUsingPOST) | **POST** /xml/meter/command/callback/jkjn | 国家电网，json格式
*PrepayServiceApi.HandleDataFromCollectorControllerApi* | [**commandStateGridCallbackUsingPOST**](docs/HandleDataFromCollectorControllerApi.md#commandStateGridCallbackUsingPOST) | **POST** /xml/meter/command/callback/stateGrid | 国家电网，json格式
*PrepayServiceApi.HandleDataFromCollectorControllerApi* | [**receiveJKJNXMLUsingPOST**](docs/HandleDataFromCollectorControllerApi.md#receiveJKJNXMLUsingPOST) | **POST** /xml/meter/data/original/jkjn | JKJN xml格式
*PrepayServiceApi.HandleDataFromCollectorControllerApi* | [**receiveStateGridXMLUsingPOST**](docs/HandleDataFromCollectorControllerApi.md#receiveStateGridXMLUsingPOST) | **POST** /xml/meter/data/original/stateGrid | 国家电网，json格式
*PrepayServiceApi.PpsAuthRolePermissionRefApi* | [**addRolePermissionRef**](docs/PpsAuthRolePermissionRefApi.md#addRolePermissionRef) | **POST** /ppsAuthRolePermissionRef/addRolePermissionRef | 新增角色、角色与权限关联
*PrepayServiceApi.PpsAuthRolePermissionRefApi* | [**disableRolePermissionRef**](docs/PpsAuthRolePermissionRefApi.md#disableRolePermissionRef) | **PUT** /ppsAuthRolePermissionRef/disableRolePermissionRef/{roleId} | 禁用/启用角色、角色与权限关联
*PrepayServiceApi.PpsAuthRolePermissionRefApi* | [**getRoleList**](docs/PpsAuthRolePermissionRefApi.md#getRoleList) | **GET** /ppsAuthRolePermissionRef/getRoleList | 查询角色列表
*PrepayServiceApi.PpsAuthRolePermissionRefApi* | [**getRolePermissionRefList**](docs/PpsAuthRolePermissionRefApi.md#getRolePermissionRefList) | **GET** /ppsAuthRolePermissionRef/getRolePermissionRefList | 查询角色、角色与权限关联列表
*PrepayServiceApi.PpsAuthRolePermissionRefApi* | [**updateRolePermissionRef**](docs/PpsAuthRolePermissionRefApi.md#updateRolePermissionRef) | **PUT** /ppsAuthRolePermissionRef/updateRolePermissionRef/{roleId} | 修改角色、角色与权限关联
*PrepayServiceApi.PpsAuthUserApi* | [**addAuthUser**](docs/PpsAuthUserApi.md#addAuthUser) | **POST** /ppsAuthUser/addAuthUser | 新增管理员
*PrepayServiceApi.PpsAuthUserApi* | [**disableAuthUser**](docs/PpsAuthUserApi.md#disableAuthUser) | **PUT** /ppsAuthUser/disableAuthUser/{authUserId} | 禁用/启用管理员
*PrepayServiceApi.PpsAuthUserApi* | [**updateAuthUserInfo**](docs/PpsAuthUserApi.md#updateAuthUserInfo) | **PUT** /ppsAuthUser/updateAuthUserInfo/{authUserId} | 修改管理员信息
*PrepayServiceApi.PpsAuthUserApi* | [**updateAuthUserPassword**](docs/PpsAuthUserApi.md#updateAuthUserPassword) | **PUT** /ppsAuthUser/updateAuthUserPassword/{authUserId} | 修改管理员密码
*PrepayServiceApi.PpsConfigPriceTemplateApi* | [**addPriceTemplate**](docs/PpsConfigPriceTemplateApi.md#addPriceTemplate) | **POST** /ppsConfigPriceTemplate/addPriceTemplate | 新增价格模板
*PrepayServiceApi.PpsConfigPriceTemplateApi* | [**disablePriceTemplate**](docs/PpsConfigPriceTemplateApi.md#disablePriceTemplate) | **PUT** /ppsConfigPriceTemplate/disablePriceTemplate/{templateId} | 禁用/启用价格模板
*PrepayServiceApi.PpsConfigPriceTemplateApi* | [**getPriceTemplateList**](docs/PpsConfigPriceTemplateApi.md#getPriceTemplateList) | **GET** /ppsConfigPriceTemplate/getPriceTemplateList | 查询价格模板List
*PrepayServiceApi.PpsConfigPriceTemplateApi* | [**updatePriceTemplate**](docs/PpsConfigPriceTemplateApi.md#updatePriceTemplate) | **PUT** /ppsConfigPriceTemplate/updatePriceTemplate/{templateId} | 修改价格模板
*PrepayServiceApi.PpsDataMeterOriginalApi* | [**getMeterOriginalData**](docs/PpsDataMeterOriginalApi.md#getMeterOriginalData) | **GET** /meter/original/data | 获取表计读数
*PrepayServiceApi.PpsHardwareCollectorApi* | [**deleteCollectorByIds**](docs/PpsHardwareCollectorApi.md#deleteCollectorByIds) | **DELETE** /collector/batch/delete/{ids} | 批量删除采集器
*PrepayServiceApi.PpsHardwareCollectorApi* | [**getCollectorById**](docs/PpsHardwareCollectorApi.md#getCollectorById) | **GET** /collector/detail/{id} | 唯一查
*PrepayServiceApi.PpsHardwareCollectorApi* | [**getCollectorPageList**](docs/PpsHardwareCollectorApi.md#getCollectorPageList) | **GET** /collector/list | 采集器-列表
*PrepayServiceApi.PpsHardwareCollectorApi* | [**insertCollector**](docs/PpsHardwareCollectorApi.md#insertCollector) | **POST** /collector/add | 新增
*PrepayServiceApi.PpsHardwareCollectorApi* | [**updateCollectorById**](docs/PpsHardwareCollectorApi.md#updateCollectorById) | **PUT** /collector/update | 更新
*PrepayServiceApi.PpsHardwareCollectorSyncApi* | [**getCollectorSyncPageList**](docs/PpsHardwareCollectorSyncApi.md#getCollectorSyncPageList) | **GET** /collectorSync/list | 记录-列表
*PrepayServiceApi.PpsHardwareMeterApi* | [**deleteMeterByIds**](docs/PpsHardwareMeterApi.md#deleteMeterByIds) | **DELETE** /meter/batch/delete/{ids} | 批量删除采集器
*PrepayServiceApi.PpsHardwareMeterApi* | [**getMeterById**](docs/PpsHardwareMeterApi.md#getMeterById) | **GET** /meter/detail/{id} | 唯一查
*PrepayServiceApi.PpsHardwareMeterApi* | [**getMeterPageList**](docs/PpsHardwareMeterApi.md#getMeterPageList) | **GET** /meter/list | 采集器-列表
*PrepayServiceApi.PpsHardwareMeterApi* | [**insertMeter**](docs/PpsHardwareMeterApi.md#insertMeter) | **POST** /meter/add | 新增
*PrepayServiceApi.PpsHardwareMeterApi* | [**updateMeterById**](docs/PpsHardwareMeterApi.md#updateMeterById) | **PUT** /meter/update | 更新
*PrepayServiceApi.PpsHardwareMeterChangedApi* | [**getMeterChangePageList**](docs/PpsHardwareMeterChangedApi.md#getMeterChangePageList) | **GET** /meterChanged/list | 记录-列表
*PrepayServiceApi.PpsHardwareMeterParamApi* | [**deleteMeterParamByIds**](docs/PpsHardwareMeterParamApi.md#deleteMeterParamByIds) | **DELETE** /meterParam/batch/delete/{ids} | 批量删除采集器
*PrepayServiceApi.PpsHardwareMeterParamApi* | [**getMeterParamById**](docs/PpsHardwareMeterParamApi.md#getMeterParamById) | **GET** /meterParam/detail/{id} | 唯一查
*PrepayServiceApi.PpsHardwareMeterParamApi* | [**getMeterParamPageList**](docs/PpsHardwareMeterParamApi.md#getMeterParamPageList) | **GET** /meterParam/list | 采集器-列表
*PrepayServiceApi.PpsHardwareMeterParamApi* | [**insertMeterParam**](docs/PpsHardwareMeterParamApi.md#insertMeterParam) | **POST** /meterParam/add | 新增
*PrepayServiceApi.PpsHardwareMeterParamApi* | [**updateMeterParamById**](docs/PpsHardwareMeterParamApi.md#updateMeterParamById) | **PUT** /meterParam/update | 更新
*PrepayServiceApi.PpsLocationCompanyApi* | [**getEnergylineListByCompanyId**](docs/PpsLocationCompanyApi.md#getEnergylineListByCompanyId) | **GET** /ppsLocationCompany/getEnergylineListByCompanyId | 查询公司下线路列表
*PrepayServiceApi.PpsLocationCompanyApi* | [**getFeeCodeList**](docs/PpsLocationCompanyApi.md#getFeeCodeList) | **GET** /ppsLocationCompany/getFeeCodeList | 查询收费项目List
*PrepayServiceApi.PpsLocationCompanyApi* | [**getZoneareaListByCompanyId**](docs/PpsLocationCompanyApi.md#getZoneareaListByCompanyId) | **GET** /ppsLocationCompany/getZoneareaListByCompanyId | 查询公司下台区列表
*PrepayServiceApi.PpsLocationDetailpartApi* | [**addDetailpart**](docs/PpsLocationDetailpartApi.md#addDetailpart) | **POST** /ppsLocationDetailpart/addDetailpart | 新增部位
*PrepayServiceApi.PpsLocationDetailpartApi* | [**getDetailpartList**](docs/PpsLocationDetailpartApi.md#getDetailpartList) | **GET** /ppsLocationDetailpart/getDetailpartList/{zoneareaId} | 根据台区查询部位List
*PrepayServiceApi.PpsLocationDetailpartApi* | [**updateDetailpart**](docs/PpsLocationDetailpartApi.md#updateDetailpart) | **PUT** /ppsLocationDetailpart/updateDetailpart | 修改部位
*PrepayServiceApi.PpsLocationEnergylineApi* | [**addEnergyline**](docs/PpsLocationEnergylineApi.md#addEnergyline) | **POST** /ppsLocationEnergyline/addEnergyline | 新增条线
*PrepayServiceApi.PpsLocationEnergylineApi* | [**getZoneareaListByEnergylineId**](docs/PpsLocationEnergylineApi.md#getZoneareaListByEnergylineId) | **GET** /ppsLocationEnergyline/getZoneareaListByEnergylineId/{energylineId} | 查询条线下台区列表
*PrepayServiceApi.PpsLocationEnergylineApi* | [**setEnergylineMainPowerMeter**](docs/PpsLocationEnergylineApi.md#setEnergylineMainPowerMeter) | **PUT** /ppsLocationEnergyline/setEnergylineMainPowerMeter/{energylineId} | 设置条线总表
*PrepayServiceApi.PpsLocationEnergylineApi* | [**updateEnergylineInfo**](docs/PpsLocationEnergylineApi.md#updateEnergylineInfo) | **PUT** /ppsLocationEnergyline/updateEnergylineInfo/{energylineId} | 修改条线信息
*PrepayServiceApi.PpsLocationZoneareaApi* | [**addZonearea**](docs/PpsLocationZoneareaApi.md#addZonearea) | **POST** /ppsLocationZonearea/addZonearea | 新增台区
*PrepayServiceApi.PpsLocationZoneareaApi* | [**setZoneareaMainPowerMeter**](docs/PpsLocationZoneareaApi.md#setZoneareaMainPowerMeter) | **PUT** /ppsLocationZonearea/setZoneareaMainPowerMeter/{zoneareaId} | 设置台区总表
*PrepayServiceApi.PpsLocationZoneareaApi* | [**updateZoneareaInfo**](docs/PpsLocationZoneareaApi.md#updateZoneareaInfo) | **PUT** /ppsLocationZonearea/updateZoneareaInfo/{zoneareaId} | 修改台区信息
*PrepayServiceApi.PpsLoginApi* | [**exit**](docs/PpsLoginApi.md#exit) | **POST** /ppsLogin/exit | 退出
*PrepayServiceApi.PpsLoginApi* | [**login**](docs/PpsLoginApi.md#login) | **POST** /ppsLogin/login | 登录
*PrepayServiceApi.PpsPayBillApi* | [**getPayBillDetailList**](docs/PpsPayBillApi.md#getPayBillDetailList) | **GET** /ppsPayBill/getPayBillDetailList/{billTotalId} | 查询明细账单
*PrepayServiceApi.PpsPayBillApi* | [**getPayBillTotalList**](docs/PpsPayBillApi.md#getPayBillTotalList) | **GET** /ppsPayBill/getPayBillTotalList | 查询汇总账单
*PrepayServiceApi.PpsPayBillApi* | [**manualGenerateBill**](docs/PpsPayBillApi.md#manualGenerateBill) | **POST** /ppsPayBill/manualGenerateBill | 手工生成账单
*PrepayServiceApi.PpsPayUserApi* | [**addPayUser**](docs/PpsPayUserApi.md#addPayUser) | **POST** /ppsPayUser/addPayUser | 新增付费用户
*PrepayServiceApi.PpsPayUserApi* | [**disablePayUser**](docs/PpsPayUserApi.md#disablePayUser) | **PUT** /ppsPayUser/disablePayUser/{payUserId} | 禁用/启用付费用户
*PrepayServiceApi.PpsPayUserApi* | [**getPayUserList**](docs/PpsPayUserApi.md#getPayUserList) | **GET** /ppsPayUser/getPayUserList | 查询付费用户list
*PrepayServiceApi.PpsPayUserApi* | [**updatePayUser**](docs/PpsPayUserApi.md#updatePayUser) | **PUT** /ppsPayUser/updatePayUser/{payUserId} | 修改付费用户
*PrepayServiceApi.PpsPayUserRechargeApi* | [**getPayUserRechargeList**](docs/PpsPayUserRechargeApi.md#getPayUserRechargeList) | **GET** /ppsPayUserRecharge/getPayUserRechargeList/{payUserId} | 查询充值记录
*PrepayServiceApi.PpsPayUserRechargeApi* | [**pcRecharge**](docs/PpsPayUserRechargeApi.md#pcRecharge) | **POST** /ppsPayUserRecharge/pcRecharge | PC端充值
*PrepayServiceApi.PpsPayUserRemainingAmountApi* | [**getPayUserRemainingAmountList**](docs/PpsPayUserRemainingAmountApi.md#getPayUserRemainingAmountList) | **GET** /ppsPayUserRemainingAmount/getPayUserRemainingAmountList/{payUserId} | 查询余额变更记录


## Documentation for Models

 - [PrepayServiceApi.InnerPermission](docs/InnerPermission.md)
 - [PrepayServiceApi.InnerPriceTemplate](docs/InnerPriceTemplate.md)
 - [PrepayServiceApi.PagePpsDataMeterOriginal](docs/PagePpsDataMeterOriginal.md)
 - [PrepayServiceApi.PagePpsHardwareCollector](docs/PagePpsHardwareCollector.md)
 - [PrepayServiceApi.PagePpsHardwareCollectorSync](docs/PagePpsHardwareCollectorSync.md)
 - [PrepayServiceApi.PagePpsHardwareMeter](docs/PagePpsHardwareMeter.md)
 - [PrepayServiceApi.PagePpsHardwareMeterChanged](docs/PagePpsHardwareMeterChanged.md)
 - [PrepayServiceApi.PagePpsHardwareMeterParam](docs/PagePpsHardwareMeterParam.md)
 - [PrepayServiceApi.PpsAuthRolePermissionRefDto](docs/PpsAuthRolePermissionRefDto.md)
 - [PrepayServiceApi.PpsAuthRolePermissionRefVo](docs/PpsAuthRolePermissionRefVo.md)
 - [PrepayServiceApi.PpsAuthRoleVo](docs/PpsAuthRoleVo.md)
 - [PrepayServiceApi.PpsAuthUserDto](docs/PpsAuthUserDto.md)
 - [PrepayServiceApi.PpsConfigPriceTemplateDto](docs/PpsConfigPriceTemplateDto.md)
 - [PrepayServiceApi.PpsConfigPriceTemplateVo](docs/PpsConfigPriceTemplateVo.md)
 - [PrepayServiceApi.PpsDataMeterOriginal](docs/PpsDataMeterOriginal.md)
 - [PrepayServiceApi.PpsDataMeterOriginalDto](docs/PpsDataMeterOriginalDto.md)
 - [PrepayServiceApi.PpsHardwareCollector](docs/PpsHardwareCollector.md)
 - [PrepayServiceApi.PpsHardwareCollectorDto](docs/PpsHardwareCollectorDto.md)
 - [PrepayServiceApi.PpsHardwareCollectorSync](docs/PpsHardwareCollectorSync.md)
 - [PrepayServiceApi.PpsHardwareCollectorVo](docs/PpsHardwareCollectorVo.md)
 - [PrepayServiceApi.PpsHardwareMeter](docs/PpsHardwareMeter.md)
 - [PrepayServiceApi.PpsHardwareMeterChanged](docs/PpsHardwareMeterChanged.md)
 - [PrepayServiceApi.PpsHardwareMeterDto](docs/PpsHardwareMeterDto.md)
 - [PrepayServiceApi.PpsHardwareMeterParam](docs/PpsHardwareMeterParam.md)
 - [PrepayServiceApi.PpsHardwareMeterParamDto](docs/PpsHardwareMeterParamDto.md)
 - [PrepayServiceApi.PpsHardwareMeterParamVo](docs/PpsHardwareMeterParamVo.md)
 - [PrepayServiceApi.PpsHardwareMeterVo](docs/PpsHardwareMeterVo.md)
 - [PrepayServiceApi.PpsLocationCompanyVo](docs/PpsLocationCompanyVo.md)
 - [PrepayServiceApi.PpsLocationDetailpartDto](docs/PpsLocationDetailpartDto.md)
 - [PrepayServiceApi.PpsLocationDetailpartVo](docs/PpsLocationDetailpartVo.md)
 - [PrepayServiceApi.PpsLocationEnergylineDto](docs/PpsLocationEnergylineDto.md)
 - [PrepayServiceApi.PpsLocationEnergylineVo](docs/PpsLocationEnergylineVo.md)
 - [PrepayServiceApi.PpsLocationZoneareaDto](docs/PpsLocationZoneareaDto.md)
 - [PrepayServiceApi.PpsLocationZoneareaVo](docs/PpsLocationZoneareaVo.md)
 - [PrepayServiceApi.PpsPayBillDetailVo](docs/PpsPayBillDetailVo.md)
 - [PrepayServiceApi.PpsPayBillTotalVo](docs/PpsPayBillTotalVo.md)
 - [PrepayServiceApi.PpsPayUserDto](docs/PpsPayUserDto.md)
 - [PrepayServiceApi.PpsPayUserRechargeVo](docs/PpsPayUserRechargeVo.md)
 - [PrepayServiceApi.PpsPayUserRemainingAmountVo](docs/PpsPayUserRemainingAmountVo.md)
 - [PrepayServiceApi.PpsPayUserVo](docs/PpsPayUserVo.md)
 - [PrepayServiceApi.R](docs/R.md)
 - [PrepayServiceApi.RListPpsAuthRolePermissionRefVo](docs/RListPpsAuthRolePermissionRefVo.md)
 - [PrepayServiceApi.RListPpsAuthRoleVo](docs/RListPpsAuthRoleVo.md)
 - [PrepayServiceApi.RListPpsConfigPriceTemplateVo](docs/RListPpsConfigPriceTemplateVo.md)
 - [PrepayServiceApi.RListPpsLocationCompanyVo](docs/RListPpsLocationCompanyVo.md)
 - [PrepayServiceApi.RListPpsLocationDetailpartVo](docs/RListPpsLocationDetailpartVo.md)
 - [PrepayServiceApi.RListPpsLocationEnergylineVo](docs/RListPpsLocationEnergylineVo.md)
 - [PrepayServiceApi.RListPpsPayBillDetailVo](docs/RListPpsPayBillDetailVo.md)
 - [PrepayServiceApi.RListPpsPayBillTotalVo](docs/RListPpsPayBillTotalVo.md)
 - [PrepayServiceApi.RListPpsPayUserRechargeVo](docs/RListPpsPayUserRechargeVo.md)
 - [PrepayServiceApi.RListPpsPayUserRemainingAmountVo](docs/RListPpsPayUserRemainingAmountVo.md)
 - [PrepayServiceApi.RListPpsPayUserVo](docs/RListPpsPayUserVo.md)
 - [PrepayServiceApi.RListstring](docs/RListstring.md)
 - [PrepayServiceApi.RPagePpsDataMeterOriginal](docs/RPagePpsDataMeterOriginal.md)
 - [PrepayServiceApi.RPagePpsHardwareCollector](docs/RPagePpsHardwareCollector.md)
 - [PrepayServiceApi.RPagePpsHardwareCollectorSync](docs/RPagePpsHardwareCollectorSync.md)
 - [PrepayServiceApi.RPagePpsHardwareMeter](docs/RPagePpsHardwareMeter.md)
 - [PrepayServiceApi.RPagePpsHardwareMeterChanged](docs/RPagePpsHardwareMeterChanged.md)
 - [PrepayServiceApi.RPagePpsHardwareMeterParam](docs/RPagePpsHardwareMeterParam.md)
 - [PrepayServiceApi.RPpsHardwareCollectorVo](docs/RPpsHardwareCollectorVo.md)
 - [PrepayServiceApi.RPpsHardwareMeterParamVo](docs/RPpsHardwareMeterParamVo.md)
 - [PrepayServiceApi.RPpsHardwareMeterVo](docs/RPpsHardwareMeterVo.md)


## Documentation for Authorization

 All endpoints do not require authorization.

