# PrepayServiceApi.HandleDataFromCollectorControllerApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**commandJKJNCallbackUsingPOST**](HandleDataFromCollectorControllerApi.md#commandJKJNCallbackUsingPOST) | **POST** /xml/meter/command/callback/jkjn | 国家电网，json格式
[**commandStateGridCallbackUsingPOST**](HandleDataFromCollectorControllerApi.md#commandStateGridCallbackUsingPOST) | **POST** /xml/meter/command/callback/stateGrid | 国家电网，json格式
[**receiveJKJNXMLUsingPOST**](HandleDataFromCollectorControllerApi.md#receiveJKJNXMLUsingPOST) | **POST** /xml/meter/data/original/jkjn | JKJN xml格式
[**receiveStateGridXMLUsingPOST**](HandleDataFromCollectorControllerApi.md#receiveStateGridXMLUsingPOST) | **POST** /xml/meter/data/original/stateGrid | 国家电网，json格式


<a name="commandJKJNCallbackUsingPOST"></a>
# **commandJKJNCallbackUsingPOST**
> R commandJKJNCallbackUsingPOST(opts)

国家电网，json格式

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.HandleDataFromCollectorControllerApi();

let opts = { 
  'json': "json_example" // String | json
};
apiInstance.commandJKJNCallbackUsingPOST(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **json** | **String**| json | [optional] 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="commandStateGridCallbackUsingPOST"></a>
# **commandStateGridCallbackUsingPOST**
> R commandStateGridCallbackUsingPOST(opts)

国家电网，json格式

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.HandleDataFromCollectorControllerApi();

let opts = { 
  'json': "json_example" // String | json
};
apiInstance.commandStateGridCallbackUsingPOST(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **json** | **String**| json | [optional] 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="receiveJKJNXMLUsingPOST"></a>
# **receiveJKJNXMLUsingPOST**
> R receiveJKJNXMLUsingPOST(opts)

JKJN xml格式

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.HandleDataFromCollectorControllerApi();

let opts = { 
  'xml': "xml_example" // String | xml
};
apiInstance.receiveJKJNXMLUsingPOST(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xml** | **String**| xml | [optional] 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="receiveStateGridXMLUsingPOST"></a>
# **receiveStateGridXMLUsingPOST**
> R receiveStateGridXMLUsingPOST(opts)

国家电网，json格式

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.HandleDataFromCollectorControllerApi();

let opts = { 
  'json': "json_example" // String | json
};
apiInstance.receiveStateGridXMLUsingPOST(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **json** | **String**| json | [optional] 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

