# PrepayServiceApi.PpsAuthRolePermissionRefApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**addRolePermissionRef**](PpsAuthRolePermissionRefApi.md#addRolePermissionRef) | **POST** /ppsAuthRolePermissionRef/addRolePermissionRef | 新增角色、角色与权限关联
[**disableRolePermissionRef**](PpsAuthRolePermissionRefApi.md#disableRolePermissionRef) | **PUT** /ppsAuthRolePermissionRef/disableRolePermissionRef/{roleId} | 禁用/启用角色、角色与权限关联
[**getRoleList**](PpsAuthRolePermissionRefApi.md#getRoleList) | **GET** /ppsAuthRolePermissionRef/getRoleList | 查询角色列表
[**getRolePermissionRefList**](PpsAuthRolePermissionRefApi.md#getRolePermissionRefList) | **GET** /ppsAuthRolePermissionRef/getRolePermissionRefList | 查询角色、角色与权限关联列表
[**updateRolePermissionRef**](PpsAuthRolePermissionRefApi.md#updateRolePermissionRef) | **PUT** /ppsAuthRolePermissionRef/updateRolePermissionRef/{roleId} | 修改角色、角色与权限关联


<a name="addRolePermissionRef"></a>
# **addRolePermissionRef**
> R addRolePermissionRef(ppsAuthRolePermissionRefDto)

新增角色、角色与权限关联

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsAuthRolePermissionRefApi();

let ppsAuthRolePermissionRefDto = new PrepayServiceApi.PpsAuthRolePermissionRefDto(); // PpsAuthRolePermissionRefDto | 角色与权限关联配置Dto

apiInstance.addRolePermissionRef(ppsAuthRolePermissionRefDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ppsAuthRolePermissionRefDto** | [**PpsAuthRolePermissionRefDto**](PpsAuthRolePermissionRefDto.md)| 角色与权限关联配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="disableRolePermissionRef"></a>
# **disableRolePermissionRef**
> R disableRolePermissionRef(roleId, disabled)

禁用/启用角色、角色与权限关联

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsAuthRolePermissionRefApi();

let roleId = 789; // Number | 角色id

let disabled = true; // Boolean | 是否禁用（true-禁用，false-启用）

apiInstance.disableRolePermissionRef(roleId, disabled).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **roleId** | **Number**| 角色id | 
 **disabled** | **Boolean**| 是否禁用（true-禁用，false-启用） | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="getRoleList"></a>
# **getRoleList**
> RListPpsAuthRoleVo getRoleList()

查询角色列表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsAuthRolePermissionRefApi();
apiInstance.getRoleList().then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RListPpsAuthRoleVo**](RListPpsAuthRoleVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="getRolePermissionRefList"></a>
# **getRolePermissionRefList**
> RListPpsAuthRolePermissionRefVo getRolePermissionRefList()

查询角色、角色与权限关联列表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsAuthRolePermissionRefApi();
apiInstance.getRolePermissionRefList().then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RListPpsAuthRolePermissionRefVo**](RListPpsAuthRolePermissionRefVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="updateRolePermissionRef"></a>
# **updateRolePermissionRef**
> R updateRolePermissionRef(roleId, ppsAuthRolePermissionRefDto)

修改角色、角色与权限关联

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsAuthRolePermissionRefApi();

let roleId = 789; // Number | 角色id

let ppsAuthRolePermissionRefDto = new PrepayServiceApi.PpsAuthRolePermissionRefDto(); // PpsAuthRolePermissionRefDto | 角色与权限关联配置Dto

apiInstance.updateRolePermissionRef(roleId, ppsAuthRolePermissionRefDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **roleId** | **Number**| 角色id | 
 **ppsAuthRolePermissionRefDto** | [**PpsAuthRolePermissionRefDto**](PpsAuthRolePermissionRefDto.md)| 角色与权限关联配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

