# PrepayServiceApi.PpsAuthUserApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**addAuthUser**](PpsAuthUserApi.md#addAuthUser) | **POST** /ppsAuthUser/addAuthUser | 新增管理员
[**disableAuthUser**](PpsAuthUserApi.md#disableAuthUser) | **PUT** /ppsAuthUser/disableAuthUser/{authUserId} | 禁用/启用管理员
[**updateAuthUserInfo**](PpsAuthUserApi.md#updateAuthUserInfo) | **PUT** /ppsAuthUser/updateAuthUserInfo/{authUserId} | 修改管理员信息
[**updateAuthUserPassword**](PpsAuthUserApi.md#updateAuthUserPassword) | **PUT** /ppsAuthUser/updateAuthUserPassword/{authUserId} | 修改管理员密码


<a name="addAuthUser"></a>
# **addAuthUser**
> R addAuthUser(ppsAuthUserDto)

新增管理员

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsAuthUserApi();

let ppsAuthUserDto = new PrepayServiceApi.PpsAuthUserDto(); // PpsAuthUserDto | 管理员配置Dto

apiInstance.addAuthUser(ppsAuthUserDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ppsAuthUserDto** | [**PpsAuthUserDto**](PpsAuthUserDto.md)| 管理员配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="disableAuthUser"></a>
# **disableAuthUser**
> R disableAuthUser(authUserId, disabled)

禁用/启用管理员

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsAuthUserApi();

let authUserId = 789; // Number | 管理员id

let disabled = true; // Boolean | 是否禁用（true-禁用，false-启用）

apiInstance.disableAuthUser(authUserId, disabled).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authUserId** | **Number**| 管理员id | 
 **disabled** | **Boolean**| 是否禁用（true-禁用，false-启用） | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="updateAuthUserInfo"></a>
# **updateAuthUserInfo**
> R updateAuthUserInfo(authUserId, ppsAuthUserDto)

修改管理员信息

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsAuthUserApi();

let authUserId = 789; // Number | 管理员id

let ppsAuthUserDto = new PrepayServiceApi.PpsAuthUserDto(); // PpsAuthUserDto | 管理员配置Dto

apiInstance.updateAuthUserInfo(authUserId, ppsAuthUserDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authUserId** | **Number**| 管理员id | 
 **ppsAuthUserDto** | [**PpsAuthUserDto**](PpsAuthUserDto.md)| 管理员配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="updateAuthUserPassword"></a>
# **updateAuthUserPassword**
> R updateAuthUserPassword(authUserId, ppsAuthUserDto)

修改管理员密码

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsAuthUserApi();

let authUserId = 789; // Number | 管理员id

let ppsAuthUserDto = new PrepayServiceApi.PpsAuthUserDto(); // PpsAuthUserDto | 管理员配置Dto

apiInstance.updateAuthUserPassword(authUserId, ppsAuthUserDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authUserId** | **Number**| 管理员id | 
 **ppsAuthUserDto** | [**PpsAuthUserDto**](PpsAuthUserDto.md)| 管理员配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

