# PrepayServiceApi.PpsConfigPriceTemplateApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**addPriceTemplate**](PpsConfigPriceTemplateApi.md#addPriceTemplate) | **POST** /ppsConfigPriceTemplate/addPriceTemplate | 新增价格模板
[**disablePriceTemplate**](PpsConfigPriceTemplateApi.md#disablePriceTemplate) | **PUT** /ppsConfigPriceTemplate/disablePriceTemplate/{templateId} | 禁用/启用价格模板
[**getPriceTemplateList**](PpsConfigPriceTemplateApi.md#getPriceTemplateList) | **GET** /ppsConfigPriceTemplate/getPriceTemplateList | 查询价格模板List
[**updatePriceTemplate**](PpsConfigPriceTemplateApi.md#updatePriceTemplate) | **PUT** /ppsConfigPriceTemplate/updatePriceTemplate/{templateId} | 修改价格模板


<a name="addPriceTemplate"></a>
# **addPriceTemplate**
> R addPriceTemplate(ppsConfigPriceTemplateDto)

新增价格模板

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsConfigPriceTemplateApi();

let ppsConfigPriceTemplateDto = new PrepayServiceApi.PpsConfigPriceTemplateDto(); // PpsConfigPriceTemplateDto | 价格模板配置Dto

apiInstance.addPriceTemplate(ppsConfigPriceTemplateDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ppsConfigPriceTemplateDto** | [**PpsConfigPriceTemplateDto**](PpsConfigPriceTemplateDto.md)| 价格模板配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="disablePriceTemplate"></a>
# **disablePriceTemplate**
> R disablePriceTemplate(templateId, disabled)

禁用/启用价格模板

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsConfigPriceTemplateApi();

let templateId = 789; // Number | 模板id

let disabled = true; // Boolean | 是否禁用（true-禁用，false-启用）

apiInstance.disablePriceTemplate(templateId, disabled).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **templateId** | **Number**| 模板id | 
 **disabled** | **Boolean**| 是否禁用（true-禁用，false-启用） | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="getPriceTemplateList"></a>
# **getPriceTemplateList**
> RListPpsConfigPriceTemplateVo getPriceTemplateList()

查询价格模板List

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsConfigPriceTemplateApi();
apiInstance.getPriceTemplateList().then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RListPpsConfigPriceTemplateVo**](RListPpsConfigPriceTemplateVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="updatePriceTemplate"></a>
# **updatePriceTemplate**
> R updatePriceTemplate(templateId, ppsConfigPriceTemplateDto)

修改价格模板

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsConfigPriceTemplateApi();

let templateId = 789; // Number | 模板id

let ppsConfigPriceTemplateDto = new PrepayServiceApi.PpsConfigPriceTemplateDto(); // PpsConfigPriceTemplateDto | 价格模板配置Dto

apiInstance.updatePriceTemplate(templateId, ppsConfigPriceTemplateDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **templateId** | **Number**| 模板id | 
 **ppsConfigPriceTemplateDto** | [**PpsConfigPriceTemplateDto**](PpsConfigPriceTemplateDto.md)| 价格模板配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

