# PrepayServiceApi.PpsHardwareCollectorApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**deleteCollectorByIds**](PpsHardwareCollectorApi.md#deleteCollectorByIds) | **DELETE** /collector/batch/delete/{ids} | 批量删除采集器
[**getCollectorById**](PpsHardwareCollectorApi.md#getCollectorById) | **GET** /collector/detail/{id} | 唯一查
[**getCollectorPageList**](PpsHardwareCollectorApi.md#getCollectorPageList) | **GET** /collector/list | 采集器-列表
[**insertCollector**](PpsHardwareCollectorApi.md#insertCollector) | **POST** /collector/add | 新增
[**updateCollectorById**](PpsHardwareCollectorApi.md#updateCollectorById) | **PUT** /collector/update | 更新


<a name="deleteCollectorByIds"></a>
# **deleteCollectorByIds**
> R deleteCollectorByIds(ids)

批量删除采集器

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareCollectorApi();

let ids = "ids_example"; // String | ids

apiInstance.deleteCollectorByIds(ids).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ids** | **String**| ids | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="getCollectorById"></a>
# **getCollectorById**
> RPpsHardwareCollectorVo getCollectorById(id)

唯一查

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareCollectorApi();

let id = 789; // Number | id

apiInstance.getCollectorById(id).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Number**| id | 

### Return type

[**RPpsHardwareCollectorVo**](RPpsHardwareCollectorVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="getCollectorPageList"></a>
# **getCollectorPageList**
> RPagePpsHardwareCollector getCollectorPageList(opts)

采集器-列表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareCollectorApi();

let opts = { 
  'pageNum': 56, // Number | 页码
  'pageSize': 56, // Number | 每页显示数量
  'id': 789, // Number | 主键id
  'createTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 创建时间
  'updateTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 修改时间
  'disabled': true, // Boolean | 是否禁用（1-是，0-否）
  'lastReceiveTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 采集器最后通信时间
  'lastUpdateTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 采集器最后更新时间，区别于本条记录更新时间
  'collectorName': "collectorName_example", // String | 采集器名称
  'collectorCode': "collectorCode_example", // String | 采集器编号
  'collectorType': "collectorType_example", // String | 采集器类型（jkjn、1376.1）
  'collectInterval': 56, // Number | 采集时间间隔（以分钟为单位）
  'collectorStartUpTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 采集器开始采集时间
  'collectorLastReceiveTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 采集器最后采集时间
  'companyId': 789 // Number | 公司id
};
apiInstance.getCollectorPageList(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pageNum** | **Number**| 页码 | [optional] 
 **pageSize** | **Number**| 每页显示数量 | [optional] 
 **id** | **Number**| 主键id | [optional] 
 **createTime** | **Date**| 创建时间 | [optional] 
 **updateTime** | **Date**| 修改时间 | [optional] 
 **disabled** | **Boolean**| 是否禁用（1-是，0-否） | [optional] 
 **lastReceiveTime** | **Date**| 采集器最后通信时间 | [optional] 
 **lastUpdateTime** | **Date**| 采集器最后更新时间，区别于本条记录更新时间 | [optional] 
 **collectorName** | **String**| 采集器名称 | [optional] 
 **collectorCode** | **String**| 采集器编号 | [optional] 
 **collectorType** | **String**| 采集器类型（jkjn、1376.1） | [optional] 
 **collectInterval** | **Number**| 采集时间间隔（以分钟为单位） | [optional] 
 **collectorStartUpTime** | **Date**| 采集器开始采集时间 | [optional] 
 **collectorLastReceiveTime** | **Date**| 采集器最后采集时间 | [optional] 
 **companyId** | **Number**| 公司id | [optional] 

### Return type

[**RPagePpsHardwareCollector**](RPagePpsHardwareCollector.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="insertCollector"></a>
# **insertCollector**
> R insertCollector(dto)

新增

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareCollectorApi();

let dto = new PrepayServiceApi.PpsHardwareCollectorDto(); // PpsHardwareCollectorDto | dto

apiInstance.insertCollector(dto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dto** | [**PpsHardwareCollectorDto**](PpsHardwareCollectorDto.md)| dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="updateCollectorById"></a>
# **updateCollectorById**
> R updateCollectorById(dto)

更新

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareCollectorApi();

let dto = new PrepayServiceApi.PpsHardwareCollectorDto(); // PpsHardwareCollectorDto | dto

apiInstance.updateCollectorById(dto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dto** | [**PpsHardwareCollectorDto**](PpsHardwareCollectorDto.md)| dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

