# PrepayServiceApi.PpsHardwareCollectorSyncApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getCollectorSyncPageList**](PpsHardwareCollectorSyncApi.md#getCollectorSyncPageList) | **GET** /collectorSync/list | 记录-列表


<a name="getCollectorSyncPageList"></a>
# **getCollectorSyncPageList**
> RPagePpsHardwareCollectorSync getCollectorSyncPageList(opts)

记录-列表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareCollectorSyncApi();

let opts = { 
  'pageNum': 56, // Number | 页码
  'pageSize': 56, // Number | 每页显示数量
  'id': 789, // Number | 主键id
  'createTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 创建时间
  'updateTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 修改时间
  'disabled': true, // Boolean | 是否禁用（1-是，0-否）
  'syncUid': "syncUid_example", // String | 标记，匹配从connect返回的操作反馈中，修改对应操作的状态（success、fail）
  'syncProtocol': "syncProtocol_example", // String | 标记是操作的集中器还是采集器（1376.1、xml）
  'syncEvent': "syncEvent_example", // String | 远程同步事件-例：集中器的meterAdd，采集的writeBuildId等
  'syncParam': "syncParam_example", // String | 远程同步配置，不管是集中器还是采集器，发送给connect都是json格式，connect会二次处理为合适的格式发送给集中器、采集器，字段中同样存json
  'syncStatus': "syncStatus_example", // String | 远程同步状态，null、success、fail
  'syncResult': "syncResult_example", // String | 远程同步返回结果，失败的原因，或者成功的额外返回（一般只是失败会有）
  'collectorId': 789, // Number | 采集器id
  'meterId': 789 // Number | 表计id（根据事件不同，可为空）
};
apiInstance.getCollectorSyncPageList(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pageNum** | **Number**| 页码 | [optional] 
 **pageSize** | **Number**| 每页显示数量 | [optional] 
 **id** | **Number**| 主键id | [optional] 
 **createTime** | **Date**| 创建时间 | [optional] 
 **updateTime** | **Date**| 修改时间 | [optional] 
 **disabled** | **Boolean**| 是否禁用（1-是，0-否） | [optional] 
 **syncUid** | **String**| 标记，匹配从connect返回的操作反馈中，修改对应操作的状态（success、fail） | [optional] 
 **syncProtocol** | **String**| 标记是操作的集中器还是采集器（1376.1、xml） | [optional] 
 **syncEvent** | **String**| 远程同步事件-例：集中器的meterAdd，采集的writeBuildId等 | [optional] 
 **syncParam** | **String**| 远程同步配置，不管是集中器还是采集器，发送给connect都是json格式，connect会二次处理为合适的格式发送给集中器、采集器，字段中同样存json | [optional] 
 **syncStatus** | **String**| 远程同步状态，null、success、fail | [optional] 
 **syncResult** | **String**| 远程同步返回结果，失败的原因，或者成功的额外返回（一般只是失败会有） | [optional] 
 **collectorId** | **Number**| 采集器id | [optional] 
 **meterId** | **Number**| 表计id（根据事件不同，可为空） | [optional] 

### Return type

[**RPagePpsHardwareCollectorSync**](RPagePpsHardwareCollectorSync.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

