# PrepayServiceApi.PpsHardwareMeterApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**deleteMeterByIds**](PpsHardwareMeterApi.md#deleteMeterByIds) | **DELETE** /meter/batch/delete/{ids} | 批量删除采集器
[**getMeterById**](PpsHardwareMeterApi.md#getMeterById) | **GET** /meter/detail/{id} | 唯一查
[**getMeterPageList**](PpsHardwareMeterApi.md#getMeterPageList) | **GET** /meter/list | 采集器-列表
[**insertMeter**](PpsHardwareMeterApi.md#insertMeter) | **POST** /meter/add | 新增
[**updateMeterById**](PpsHardwareMeterApi.md#updateMeterById) | **PUT** /meter/update | 更新


<a name="deleteMeterByIds"></a>
# **deleteMeterByIds**
> R deleteMeterByIds(ids)

批量删除采集器

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterApi();

let ids = "ids_example"; // String | ids

apiInstance.deleteMeterByIds(ids).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ids** | **String**| ids | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="getMeterById"></a>
# **getMeterById**
> RPpsHardwareMeterVo getMeterById(id)

唯一查

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterApi();

let id = 789; // Number | id

apiInstance.getMeterById(id).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Number**| id | 

### Return type

[**RPpsHardwareMeterVo**](RPpsHardwareMeterVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="getMeterPageList"></a>
# **getMeterPageList**
> RPagePpsHardwareMeter getMeterPageList(opts)

采集器-列表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterApi();

let opts = { 
  'pageNum': 56, // Number | 页码
  'pageSize': 56, // Number | 每页显示数量
  'id': 789, // Number | 主键id
  'createTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 创建时间
  'updateTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 修改时间
  'disabled': true, // Boolean | 是否禁用（1-是，0-否）
  'deviceStatus': "deviceStatus_example", // String | 设备是否可用
  'meterName': "meterName_example", // String | 表计名称
  'meterCode': "meterCode_example", // String | 表号
  'meterIndex': "meterIndex_example", // String | 测点号（集中器-测点号，采集器-null）
  'meterStatus': "meterStatus_example", // String | 表计状态（目前仅集中器，POWER_OFF-断电，POWER_ON-正常供电，UNKNOWN-未知）
  'meterStartUpTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 表计开始通信时间
  'meterLastReceiveTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 表计最后通信时间
  'meterLastUpdateTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 表计最后更新时间，区别于本条记录更新时间
  'meterType': "meterType_example", // String | 表计类型（single-单相表，multiple-多功能表）
  'energyType': 789, // Number | 分类能耗类型（01-电，02-水）
  'meterBindFlag': true, // Boolean | 表计是否启用（即是否绑定部位，1-是，0-否）
  'meterMainLevel': "meterMainLevel_example", // String | 启用后，总表级别（空-非总表，POWERLINE-条线总表，ZONEAREA-台区总表）
  'collectorId': 789 // Number | 采集器id
};
apiInstance.getMeterPageList(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pageNum** | **Number**| 页码 | [optional] 
 **pageSize** | **Number**| 每页显示数量 | [optional] 
 **id** | **Number**| 主键id | [optional] 
 **createTime** | **Date**| 创建时间 | [optional] 
 **updateTime** | **Date**| 修改时间 | [optional] 
 **disabled** | **Boolean**| 是否禁用（1-是，0-否） | [optional] 
 **deviceStatus** | **String**| 设备是否可用 | [optional] 
 **meterName** | **String**| 表计名称 | [optional] 
 **meterCode** | **String**| 表号 | [optional] 
 **meterIndex** | **String**| 测点号（集中器-测点号，采集器-null） | [optional] 
 **meterStatus** | **String**| 表计状态（目前仅集中器，POWER_OFF-断电，POWER_ON-正常供电，UNKNOWN-未知） | [optional] 
 **meterStartUpTime** | **Date**| 表计开始通信时间 | [optional] 
 **meterLastReceiveTime** | **Date**| 表计最后通信时间 | [optional] 
 **meterLastUpdateTime** | **Date**| 表计最后更新时间，区别于本条记录更新时间 | [optional] 
 **meterType** | **String**| 表计类型（single-单相表，multiple-多功能表） | [optional] 
 **energyType** | **Number**| 分类能耗类型（01-电，02-水） | [optional] 
 **meterBindFlag** | **Boolean**| 表计是否启用（即是否绑定部位，1-是，0-否） | [optional] 
 **meterMainLevel** | **String**| 启用后，总表级别（空-非总表，POWERLINE-条线总表，ZONEAREA-台区总表） | [optional] 
 **collectorId** | **Number**| 采集器id | [optional] 

### Return type

[**RPagePpsHardwareMeter**](RPagePpsHardwareMeter.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="insertMeter"></a>
# **insertMeter**
> R insertMeter(dto)

新增

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterApi();

let dto = new PrepayServiceApi.PpsHardwareMeterDto(); // PpsHardwareMeterDto | dto

apiInstance.insertMeter(dto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dto** | [**PpsHardwareMeterDto**](PpsHardwareMeterDto.md)| dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="updateMeterById"></a>
# **updateMeterById**
> R updateMeterById(dto)

更新

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterApi();

let dto = new PrepayServiceApi.PpsHardwareMeterDto(); // PpsHardwareMeterDto | dto

apiInstance.updateMeterById(dto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dto** | [**PpsHardwareMeterDto**](PpsHardwareMeterDto.md)| dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

