# PrepayServiceApi.PpsHardwareMeterParamApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**deleteMeterParamByIds**](PpsHardwareMeterParamApi.md#deleteMeterParamByIds) | **DELETE** /meterParam/batch/delete/{ids} | 批量删除采集器
[**getMeterParamById**](PpsHardwareMeterParamApi.md#getMeterParamById) | **GET** /meterParam/detail/{id} | 唯一查
[**getMeterParamPageList**](PpsHardwareMeterParamApi.md#getMeterParamPageList) | **GET** /meterParam/list | 采集器-列表
[**insertMeterParam**](PpsHardwareMeterParamApi.md#insertMeterParam) | **POST** /meterParam/add | 新增
[**updateMeterParamById**](PpsHardwareMeterParamApi.md#updateMeterParamById) | **PUT** /meterParam/update | 更新


<a name="deleteMeterParamByIds"></a>
# **deleteMeterParamByIds**
> R deleteMeterParamByIds(ids)

批量删除采集器

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterParamApi();

let ids = "ids_example"; // String | ids

apiInstance.deleteMeterParamByIds(ids).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ids** | **String**| ids | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="getMeterParamById"></a>
# **getMeterParamById**
> RPpsHardwareMeterParamVo getMeterParamById(id)

唯一查

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterParamApi();

let id = 789; // Number | id

apiInstance.getMeterParamById(id).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Number**| id | 

### Return type

[**RPpsHardwareMeterParamVo**](RPpsHardwareMeterParamVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="getMeterParamPageList"></a>
# **getMeterParamPageList**
> RPagePpsHardwareMeterParam getMeterParamPageList(opts)

采集器-列表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterParamApi();

let opts = { 
  'pageNum': 56, // Number | 页码
  'pageSize': 56, // Number | 每页显示数量
  'id': 789, // Number | 主键id
  'createTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 创建时间
  'updateTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 修改时间
  'disabled': true, // Boolean | 是否禁用（1-是，0-否）
  'paramName': "paramName_example", // String | 表计参数名称
  'paramCode': "paramCode_example", // String | 表计参数编码
  'paramValueType': "paramValueType_example", // String | 表计数据类型（AGGREGATE-累计值，INTIME-即时值）
  'paramChangeRate': 1.2, // Number | 变比（正向有功，三相电流有变比；三相电压，总功率因素默认变比1）
  'meterId': 789 // Number | 表计id
};
apiInstance.getMeterParamPageList(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pageNum** | **Number**| 页码 | [optional] 
 **pageSize** | **Number**| 每页显示数量 | [optional] 
 **id** | **Number**| 主键id | [optional] 
 **createTime** | **Date**| 创建时间 | [optional] 
 **updateTime** | **Date**| 修改时间 | [optional] 
 **disabled** | **Boolean**| 是否禁用（1-是，0-否） | [optional] 
 **paramName** | **String**| 表计参数名称 | [optional] 
 **paramCode** | **String**| 表计参数编码 | [optional] 
 **paramValueType** | **String**| 表计数据类型（AGGREGATE-累计值，INTIME-即时值） | [optional] 
 **paramChangeRate** | **Number**| 变比（正向有功，三相电流有变比；三相电压，总功率因素默认变比1） | [optional] 
 **meterId** | **Number**| 表计id | [optional] 

### Return type

[**RPagePpsHardwareMeterParam**](RPagePpsHardwareMeterParam.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="insertMeterParam"></a>
# **insertMeterParam**
> R insertMeterParam(dto)

新增

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterParamApi();

let dto = new PrepayServiceApi.PpsHardwareMeterParamDto(); // PpsHardwareMeterParamDto | dto

apiInstance.insertMeterParam(dto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dto** | [**PpsHardwareMeterParamDto**](PpsHardwareMeterParamDto.md)| dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="updateMeterParamById"></a>
# **updateMeterParamById**
> R updateMeterParamById(dto)

更新

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterParamApi();

let dto = new PrepayServiceApi.PpsHardwareMeterParamDto(); // PpsHardwareMeterParamDto | dto

apiInstance.updateMeterParamById(dto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dto** | [**PpsHardwareMeterParamDto**](PpsHardwareMeterParamDto.md)| dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

