# PrepayServiceApi.PpsLocationDetailpartApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**addDetailpart**](PpsLocationDetailpartApi.md#addDetailpart) | **POST** /ppsLocationDetailpart/addDetailpart | 新增部位
[**getDetailpartList**](PpsLocationDetailpartApi.md#getDetailpartList) | **GET** /ppsLocationDetailpart/getDetailpartList/{zoneareaId} | 根据台区查询部位List
[**updateDetailpart**](PpsLocationDetailpartApi.md#updateDetailpart) | **PUT** /ppsLocationDetailpart/updateDetailpart | 修改部位


<a name="addDetailpart"></a>
# **addDetailpart**
> R addDetailpart(ppsLocationDetailpartDto)

新增部位

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationDetailpartApi();

let ppsLocationDetailpartDto = new PrepayServiceApi.PpsLocationDetailpartDto(); // PpsLocationDetailpartDto | 部位配置Dto

apiInstance.addDetailpart(ppsLocationDetailpartDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ppsLocationDetailpartDto** | [**PpsLocationDetailpartDto**](PpsLocationDetailpartDto.md)| 部位配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="getDetailpartList"></a>
# **getDetailpartList**
> RListPpsLocationDetailpartVo getDetailpartList(zoneareaId)

根据台区查询部位List

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationDetailpartApi();

let zoneareaId = 789; // Number | 台区id

apiInstance.getDetailpartList(zoneareaId).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **zoneareaId** | **Number**| 台区id | 

### Return type

[**RListPpsLocationDetailpartVo**](RListPpsLocationDetailpartVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="updateDetailpart"></a>
# **updateDetailpart**
> R updateDetailpart(zoneareaId, ppsLocationDetailpartDto)

修改部位

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationDetailpartApi();

let zoneareaId = 789; // Number | 台区id

let ppsLocationDetailpartDto = new PrepayServiceApi.PpsLocationDetailpartDto(); // PpsLocationDetailpartDto | 部位配置Dto

apiInstance.updateDetailpart(zoneareaId, ppsLocationDetailpartDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **zoneareaId** | **Number**| 台区id | 
 **ppsLocationDetailpartDto** | [**PpsLocationDetailpartDto**](PpsLocationDetailpartDto.md)| 部位配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

