# PrepayServiceApi.PpsLocationEnergylineApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**addEnergyline**](PpsLocationEnergylineApi.md#addEnergyline) | **POST** /ppsLocationEnergyline/addEnergyline | 新增条线
[**getZoneareaListByEnergylineId**](PpsLocationEnergylineApi.md#getZoneareaListByEnergylineId) | **GET** /ppsLocationEnergyline/getZoneareaListByEnergylineId/{energylineId} | 查询条线下台区列表
[**setEnergylineMainPowerMeter**](PpsLocationEnergylineApi.md#setEnergylineMainPowerMeter) | **PUT** /ppsLocationEnergyline/setEnergylineMainPowerMeter/{energylineId} | 设置条线总表
[**updateEnergylineInfo**](PpsLocationEnergylineApi.md#updateEnergylineInfo) | **PUT** /ppsLocationEnergyline/updateEnergylineInfo/{energylineId} | 修改条线信息


<a name="addEnergyline"></a>
# **addEnergyline**
> R addEnergyline(ppsLocationEnergylineDto)

新增条线

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationEnergylineApi();

let ppsLocationEnergylineDto = new PrepayServiceApi.PpsLocationEnergylineDto(); // PpsLocationEnergylineDto | 条线配置Dto

apiInstance.addEnergyline(ppsLocationEnergylineDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ppsLocationEnergylineDto** | [**PpsLocationEnergylineDto**](PpsLocationEnergylineDto.md)| 条线配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="getZoneareaListByEnergylineId"></a>
# **getZoneareaListByEnergylineId**
> RListPpsLocationEnergylineVo getZoneareaListByEnergylineId(energylineId)

查询条线下台区列表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationEnergylineApi();

let energylineId = 789; // Number | 条线id

apiInstance.getZoneareaListByEnergylineId(energylineId).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **energylineId** | **Number**| 条线id | 

### Return type

[**RListPpsLocationEnergylineVo**](RListPpsLocationEnergylineVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="setEnergylineMainPowerMeter"></a>
# **setEnergylineMainPowerMeter**
> R setEnergylineMainPowerMeter(energylineId, ppsLocationEnergylineDto)

设置条线总表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationEnergylineApi();

let energylineId = 789; // Number | 条线id

let ppsLocationEnergylineDto = new PrepayServiceApi.PpsLocationEnergylineDto(); // PpsLocationEnergylineDto | 条线配置Dto

apiInstance.setEnergylineMainPowerMeter(energylineId, ppsLocationEnergylineDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **energylineId** | **Number**| 条线id | 
 **ppsLocationEnergylineDto** | [**PpsLocationEnergylineDto**](PpsLocationEnergylineDto.md)| 条线配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="updateEnergylineInfo"></a>
# **updateEnergylineInfo**
> R updateEnergylineInfo(energylineId, ppsLocationEnergylineDto)

修改条线信息

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationEnergylineApi();

let energylineId = 789; // Number | 条线id

let ppsLocationEnergylineDto = new PrepayServiceApi.PpsLocationEnergylineDto(); // PpsLocationEnergylineDto | 条线配置Dto

apiInstance.updateEnergylineInfo(energylineId, ppsLocationEnergylineDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **energylineId** | **Number**| 条线id | 
 **ppsLocationEnergylineDto** | [**PpsLocationEnergylineDto**](PpsLocationEnergylineDto.md)| 条线配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

