# PrepayServiceApi.PpsLocationZoneareaApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**addZonearea**](PpsLocationZoneareaApi.md#addZonearea) | **POST** /ppsLocationZonearea/addZonearea | 新增台区
[**setZoneareaMainPowerMeter**](PpsLocationZoneareaApi.md#setZoneareaMainPowerMeter) | **PUT** /ppsLocationZonearea/setZoneareaMainPowerMeter/{zoneareaId} | 设置台区总表
[**updateZoneareaInfo**](PpsLocationZoneareaApi.md#updateZoneareaInfo) | **PUT** /ppsLocationZonearea/updateZoneareaInfo/{zoneareaId} | 修改台区信息


<a name="addZonearea"></a>
# **addZonearea**
> R addZonearea(ppsLocationZoneareaDto)

新增台区

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationZoneareaApi();

let ppsLocationZoneareaDto = new PrepayServiceApi.PpsLocationZoneareaDto(); // PpsLocationZoneareaDto | 台区配置Dto

apiInstance.addZonearea(ppsLocationZoneareaDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ppsLocationZoneareaDto** | [**PpsLocationZoneareaDto**](PpsLocationZoneareaDto.md)| 台区配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="setZoneareaMainPowerMeter"></a>
# **setZoneareaMainPowerMeter**
> R setZoneareaMainPowerMeter(zoneareaId, ppsLocationZoneareaDto)

设置台区总表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationZoneareaApi();

let zoneareaId = 789; // Number | 台区id

let ppsLocationZoneareaDto = new PrepayServiceApi.PpsLocationZoneareaDto(); // PpsLocationZoneareaDto | 台区配置Dto

apiInstance.setZoneareaMainPowerMeter(zoneareaId, ppsLocationZoneareaDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **zoneareaId** | **Number**| 台区id | 
 **ppsLocationZoneareaDto** | [**PpsLocationZoneareaDto**](PpsLocationZoneareaDto.md)| 台区配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="updateZoneareaInfo"></a>
# **updateZoneareaInfo**
> R updateZoneareaInfo(zoneareaId, ppsLocationZoneareaDto)

修改台区信息

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationZoneareaApi();

let zoneareaId = 789; // Number | 台区id

let ppsLocationZoneareaDto = new PrepayServiceApi.PpsLocationZoneareaDto(); // PpsLocationZoneareaDto | 台区配置Dto

apiInstance.updateZoneareaInfo(zoneareaId, ppsLocationZoneareaDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **zoneareaId** | **Number**| 台区id | 
 **ppsLocationZoneareaDto** | [**PpsLocationZoneareaDto**](PpsLocationZoneareaDto.md)| 台区配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

