# PrepayServiceApi.PpsPayBillApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getPayBillDetailList**](PpsPayBillApi.md#getPayBillDetailList) | **GET** /ppsPayBill/getPayBillDetailList/{billTotalId} | 查询明细账单
[**getPayBillTotalList**](PpsPayBillApi.md#getPayBillTotalList) | **GET** /ppsPayBill/getPayBillTotalList | 查询汇总账单
[**manualGenerateBill**](PpsPayBillApi.md#manualGenerateBill) | **POST** /ppsPayBill/manualGenerateBill | 手工生成账单


<a name="getPayBillDetailList"></a>
# **getPayBillDetailList**
> RListPpsPayBillDetailVo getPayBillDetailList(billTotalId)

查询明细账单

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsPayBillApi();

let billTotalId = 789; // Number | 汇总账单id

apiInstance.getPayBillDetailList(billTotalId).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **billTotalId** | **Number**| 汇总账单id | 

### Return type

[**RListPpsPayBillDetailVo**](RListPpsPayBillDetailVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="getPayBillTotalList"></a>
# **getPayBillTotalList**
> RListPpsPayBillTotalVo getPayBillTotalList()

查询汇总账单

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsPayBillApi();
apiInstance.getPayBillTotalList().then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RListPpsPayBillTotalVo**](RListPpsPayBillTotalVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="manualGenerateBill"></a>
# **manualGenerateBill**
> R manualGenerateBill(billEndTime)

手工生成账单

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsPayBillApi();

let billEndTime = new Date("2013-10-20T19:20:30+01:00"); // Date | 账单截止时间

apiInstance.manualGenerateBill(billEndTime).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **billEndTime** | **Date**| 账单截止时间 | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

