# PrepayServiceApi.PpsPayUserApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**addPayUser**](PpsPayUserApi.md#addPayUser) | **POST** /ppsPayUser/addPayUser | 新增付费用户
[**disablePayUser**](PpsPayUserApi.md#disablePayUser) | **PUT** /ppsPayUser/disablePayUser/{payUserId} | 禁用/启用付费用户
[**getPayUserList**](PpsPayUserApi.md#getPayUserList) | **GET** /ppsPayUser/getPayUserList | 查询付费用户list
[**updatePayUser**](PpsPayUserApi.md#updatePayUser) | **PUT** /ppsPayUser/updatePayUser/{payUserId} | 修改付费用户


<a name="addPayUser"></a>
# **addPayUser**
> R addPayUser(ppsPayUserDto)

新增付费用户

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsPayUserApi();

let ppsPayUserDto = new PrepayServiceApi.PpsPayUserDto(); // PpsPayUserDto | 付费用户配置Dto

apiInstance.addPayUser(ppsPayUserDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ppsPayUserDto** | [**PpsPayUserDto**](PpsPayUserDto.md)| 付费用户配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="disablePayUser"></a>
# **disablePayUser**
> R disablePayUser(payUserId, disabled)

禁用/启用付费用户

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsPayUserApi();

let payUserId = 789; // Number | 付费用户id

let disabled = true; // Boolean | 是否禁用（true-禁用，false-启用）

apiInstance.disablePayUser(payUserId, disabled).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **payUserId** | **Number**| 付费用户id | 
 **disabled** | **Boolean**| 是否禁用（true-禁用，false-启用） | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="getPayUserList"></a>
# **getPayUserList**
> RListPpsPayUserVo getPayUserList()

查询付费用户list

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsPayUserApi();
apiInstance.getPayUserList().then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RListPpsPayUserVo**](RListPpsPayUserVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="updatePayUser"></a>
# **updatePayUser**
> R updatePayUser(zoneareaId, ppsPayUserDto)

修改付费用户

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsPayUserApi();

let zoneareaId = 789; // Number | 付费用户id

let ppsPayUserDto = new PrepayServiceApi.PpsPayUserDto(); // PpsPayUserDto | 付费用户配置Dto

apiInstance.updatePayUser(zoneareaId, ppsPayUserDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **zoneareaId** | **Number**| 付费用户id | 
 **ppsPayUserDto** | [**PpsPayUserDto**](PpsPayUserDto.md)| 付费用户配置Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

