/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import R from '../model/R';

/**
* HandleDataFromCollectorController service.
* @module api/HandleDataFromCollectorControllerApi
* @version 1.0.0
*/
export default class HandleDataFromCollectorControllerApi {

    /**
    * Constructs a new HandleDataFromCollectorControllerApi. 
    * @alias module:api/HandleDataFromCollectorControllerApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 国家电网，json格式
     * @param {Object} opts Optional parameters
     * @param {String} opts.json json
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    commandJKJNCallbackUsingPOSTWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'json': opts['json']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/xml/meter/command/callback/jkjn', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 国家电网，json格式
     * @param {Object} opts Optional parameters
     * @param {String} opts.json json
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    commandJKJNCallbackUsingPOST(opts) {
      return this.commandJKJNCallbackUsingPOSTWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 国家电网，json格式
     * @param {Object} opts Optional parameters
     * @param {String} opts.json json
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    commandStateGridCallbackUsingPOSTWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'json': opts['json']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/xml/meter/command/callback/stateGrid', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 国家电网，json格式
     * @param {Object} opts Optional parameters
     * @param {String} opts.json json
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    commandStateGridCallbackUsingPOST(opts) {
      return this.commandStateGridCallbackUsingPOSTWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * JKJN xml格式
     * @param {Object} opts Optional parameters
     * @param {String} opts.xml xml
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    receiveJKJNXMLUsingPOSTWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'xml': opts['xml']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/xml/meter/data/original/jkjn', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * JKJN xml格式
     * @param {Object} opts Optional parameters
     * @param {String} opts.xml xml
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    receiveJKJNXMLUsingPOST(opts) {
      return this.receiveJKJNXMLUsingPOSTWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 国家电网，json格式
     * @param {Object} opts Optional parameters
     * @param {String} opts.json json
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    receiveStateGridXMLUsingPOSTWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'json': opts['json']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/xml/meter/data/original/stateGrid', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 国家电网，json格式
     * @param {Object} opts Optional parameters
     * @param {String} opts.json json
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    receiveStateGridXMLUsingPOST(opts) {
      return this.receiveStateGridXMLUsingPOSTWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
