/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsAuthRolePermissionRefDto from '../model/PpsAuthRolePermissionRefDto';
import R from '../model/R';
import RListPpsAuthRolePermissionRefVo from '../model/RListPpsAuthRolePermissionRefVo';
import RListPpsAuthRoleVo from '../model/RListPpsAuthRoleVo';

/**
* PpsAuthRolePermissionRef service.
* @module api/PpsAuthRolePermissionRefApi
* @version 1.0.0
*/
export default class PpsAuthRolePermissionRefApi {

    /**
    * Constructs a new PpsAuthRolePermissionRefApi. 
    * @alias module:api/PpsAuthRolePermissionRefApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 新增角色、角色与权限关联
     * @param {module:model/PpsAuthRolePermissionRefDto} ppsAuthRolePermissionRefDto 角色与权限关联配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    addRolePermissionRefWithHttpInfo(ppsAuthRolePermissionRefDto) {
      let postBody = ppsAuthRolePermissionRefDto;

      // verify the required parameter 'ppsAuthRolePermissionRefDto' is set
      if (ppsAuthRolePermissionRefDto === undefined || ppsAuthRolePermissionRefDto === null) {
        throw new Error("Missing the required parameter 'ppsAuthRolePermissionRefDto' when calling addRolePermissionRef");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsAuthRolePermissionRef/addRolePermissionRef', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 新增角色、角色与权限关联
     * @param {module:model/PpsAuthRolePermissionRefDto} ppsAuthRolePermissionRefDto 角色与权限关联配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    addRolePermissionRef(ppsAuthRolePermissionRefDto) {
      return this.addRolePermissionRefWithHttpInfo(ppsAuthRolePermissionRefDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 禁用/启用角色、角色与权限关联
     * @param {Number} roleId 角色id
     * @param {Boolean} disabled 是否禁用（true-禁用，false-启用）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    disableRolePermissionRefWithHttpInfo(roleId, disabled) {
      let postBody = null;

      // verify the required parameter 'roleId' is set
      if (roleId === undefined || roleId === null) {
        throw new Error("Missing the required parameter 'roleId' when calling disableRolePermissionRef");
      }

      // verify the required parameter 'disabled' is set
      if (disabled === undefined || disabled === null) {
        throw new Error("Missing the required parameter 'disabled' when calling disableRolePermissionRef");
      }


      let pathParams = {
        'roleId': roleId
      };
      let queryParams = {
        'disabled': disabled
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsAuthRolePermissionRef/disableRolePermissionRef/{roleId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 禁用/启用角色、角色与权限关联
     * @param {Number} roleId 角色id
     * @param {Boolean} disabled 是否禁用（true-禁用，false-启用）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    disableRolePermissionRef(roleId, disabled) {
      return this.disableRolePermissionRefWithHttpInfo(roleId, disabled)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 查询角色列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsAuthRoleVo} and HTTP response
     */
    getRoleListWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsAuthRoleVo;

      return this.apiClient.callApi(
        '/ppsAuthRolePermissionRef/getRoleList', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询角色列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsAuthRoleVo}
     */
    getRoleList() {
      return this.getRoleListWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 查询角色、角色与权限关联列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsAuthRolePermissionRefVo} and HTTP response
     */
    getRolePermissionRefListWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsAuthRolePermissionRefVo;

      return this.apiClient.callApi(
        '/ppsAuthRolePermissionRef/getRolePermissionRefList', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询角色、角色与权限关联列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsAuthRolePermissionRefVo}
     */
    getRolePermissionRefList() {
      return this.getRolePermissionRefListWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 修改角色、角色与权限关联
     * @param {Number} roleId 角色id
     * @param {module:model/PpsAuthRolePermissionRefDto} ppsAuthRolePermissionRefDto 角色与权限关联配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updateRolePermissionRefWithHttpInfo(roleId, ppsAuthRolePermissionRefDto) {
      let postBody = ppsAuthRolePermissionRefDto;

      // verify the required parameter 'roleId' is set
      if (roleId === undefined || roleId === null) {
        throw new Error("Missing the required parameter 'roleId' when calling updateRolePermissionRef");
      }

      // verify the required parameter 'ppsAuthRolePermissionRefDto' is set
      if (ppsAuthRolePermissionRefDto === undefined || ppsAuthRolePermissionRefDto === null) {
        throw new Error("Missing the required parameter 'ppsAuthRolePermissionRefDto' when calling updateRolePermissionRef");
      }


      let pathParams = {
        'roleId': roleId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsAuthRolePermissionRef/updateRolePermissionRef/{roleId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 修改角色、角色与权限关联
     * @param {Number} roleId 角色id
     * @param {module:model/PpsAuthRolePermissionRefDto} ppsAuthRolePermissionRefDto 角色与权限关联配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updateRolePermissionRef(roleId, ppsAuthRolePermissionRefDto) {
      return this.updateRolePermissionRefWithHttpInfo(roleId, ppsAuthRolePermissionRefDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
