/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsAuthUserDto from '../model/PpsAuthUserDto';
import R from '../model/R';

/**
* PpsAuthUser service.
* @module api/PpsAuthUserApi
* @version 1.0.0
*/
export default class PpsAuthUserApi {

    /**
    * Constructs a new PpsAuthUserApi. 
    * @alias module:api/PpsAuthUserApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 新增管理员
     * @param {module:model/PpsAuthUserDto} ppsAuthUserDto 管理员配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    addAuthUserWithHttpInfo(ppsAuthUserDto) {
      let postBody = ppsAuthUserDto;

      // verify the required parameter 'ppsAuthUserDto' is set
      if (ppsAuthUserDto === undefined || ppsAuthUserDto === null) {
        throw new Error("Missing the required parameter 'ppsAuthUserDto' when calling addAuthUser");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsAuthUser/addAuthUser', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 新增管理员
     * @param {module:model/PpsAuthUserDto} ppsAuthUserDto 管理员配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    addAuthUser(ppsAuthUserDto) {
      return this.addAuthUserWithHttpInfo(ppsAuthUserDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 禁用/启用管理员
     * @param {Number} authUserId 管理员id
     * @param {Boolean} disabled 是否禁用（true-禁用，false-启用）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    disableAuthUserWithHttpInfo(authUserId, disabled) {
      let postBody = null;

      // verify the required parameter 'authUserId' is set
      if (authUserId === undefined || authUserId === null) {
        throw new Error("Missing the required parameter 'authUserId' when calling disableAuthUser");
      }

      // verify the required parameter 'disabled' is set
      if (disabled === undefined || disabled === null) {
        throw new Error("Missing the required parameter 'disabled' when calling disableAuthUser");
      }


      let pathParams = {
        'authUserId': authUserId
      };
      let queryParams = {
        'disabled': disabled
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsAuthUser/disableAuthUser/{authUserId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 禁用/启用管理员
     * @param {Number} authUserId 管理员id
     * @param {Boolean} disabled 是否禁用（true-禁用，false-启用）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    disableAuthUser(authUserId, disabled) {
      return this.disableAuthUserWithHttpInfo(authUserId, disabled)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 修改管理员信息
     * @param {Number} authUserId 管理员id
     * @param {module:model/PpsAuthUserDto} ppsAuthUserDto 管理员配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updateAuthUserInfoWithHttpInfo(authUserId, ppsAuthUserDto) {
      let postBody = ppsAuthUserDto;

      // verify the required parameter 'authUserId' is set
      if (authUserId === undefined || authUserId === null) {
        throw new Error("Missing the required parameter 'authUserId' when calling updateAuthUserInfo");
      }

      // verify the required parameter 'ppsAuthUserDto' is set
      if (ppsAuthUserDto === undefined || ppsAuthUserDto === null) {
        throw new Error("Missing the required parameter 'ppsAuthUserDto' when calling updateAuthUserInfo");
      }


      let pathParams = {
        'authUserId': authUserId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsAuthUser/updateAuthUserInfo/{authUserId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 修改管理员信息
     * @param {Number} authUserId 管理员id
     * @param {module:model/PpsAuthUserDto} ppsAuthUserDto 管理员配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updateAuthUserInfo(authUserId, ppsAuthUserDto) {
      return this.updateAuthUserInfoWithHttpInfo(authUserId, ppsAuthUserDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 修改管理员密码
     * @param {Number} authUserId 管理员id
     * @param {module:model/PpsAuthUserDto} ppsAuthUserDto 管理员配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updateAuthUserPasswordWithHttpInfo(authUserId, ppsAuthUserDto) {
      let postBody = ppsAuthUserDto;

      // verify the required parameter 'authUserId' is set
      if (authUserId === undefined || authUserId === null) {
        throw new Error("Missing the required parameter 'authUserId' when calling updateAuthUserPassword");
      }

      // verify the required parameter 'ppsAuthUserDto' is set
      if (ppsAuthUserDto === undefined || ppsAuthUserDto === null) {
        throw new Error("Missing the required parameter 'ppsAuthUserDto' when calling updateAuthUserPassword");
      }


      let pathParams = {
        'authUserId': authUserId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsAuthUser/updateAuthUserPassword/{authUserId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 修改管理员密码
     * @param {Number} authUserId 管理员id
     * @param {module:model/PpsAuthUserDto} ppsAuthUserDto 管理员配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updateAuthUserPassword(authUserId, ppsAuthUserDto) {
      return this.updateAuthUserPasswordWithHttpInfo(authUserId, ppsAuthUserDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
