/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsConfigPriceTemplateDto from '../model/PpsConfigPriceTemplateDto';
import R from '../model/R';
import RListPpsConfigPriceTemplateVo from '../model/RListPpsConfigPriceTemplateVo';

/**
* PpsConfigPriceTemplate service.
* @module api/PpsConfigPriceTemplateApi
* @version 1.0.0
*/
export default class PpsConfigPriceTemplateApi {

    /**
    * Constructs a new PpsConfigPriceTemplateApi. 
    * @alias module:api/PpsConfigPriceTemplateApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 新增价格模板
     * @param {module:model/PpsConfigPriceTemplateDto} ppsConfigPriceTemplateDto 价格模板配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    addPriceTemplateWithHttpInfo(ppsConfigPriceTemplateDto) {
      let postBody = ppsConfigPriceTemplateDto;

      // verify the required parameter 'ppsConfigPriceTemplateDto' is set
      if (ppsConfigPriceTemplateDto === undefined || ppsConfigPriceTemplateDto === null) {
        throw new Error("Missing the required parameter 'ppsConfigPriceTemplateDto' when calling addPriceTemplate");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsConfigPriceTemplate/addPriceTemplate', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 新增价格模板
     * @param {module:model/PpsConfigPriceTemplateDto} ppsConfigPriceTemplateDto 价格模板配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    addPriceTemplate(ppsConfigPriceTemplateDto) {
      return this.addPriceTemplateWithHttpInfo(ppsConfigPriceTemplateDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 禁用/启用价格模板
     * @param {Number} templateId 模板id
     * @param {Boolean} disabled 是否禁用（true-禁用，false-启用）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    disablePriceTemplateWithHttpInfo(templateId, disabled) {
      let postBody = null;

      // verify the required parameter 'templateId' is set
      if (templateId === undefined || templateId === null) {
        throw new Error("Missing the required parameter 'templateId' when calling disablePriceTemplate");
      }

      // verify the required parameter 'disabled' is set
      if (disabled === undefined || disabled === null) {
        throw new Error("Missing the required parameter 'disabled' when calling disablePriceTemplate");
      }


      let pathParams = {
        'templateId': templateId
      };
      let queryParams = {
        'disabled': disabled
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsConfigPriceTemplate/disablePriceTemplate/{templateId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 禁用/启用价格模板
     * @param {Number} templateId 模板id
     * @param {Boolean} disabled 是否禁用（true-禁用，false-启用）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    disablePriceTemplate(templateId, disabled) {
      return this.disablePriceTemplateWithHttpInfo(templateId, disabled)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 查询价格模板List
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsConfigPriceTemplateVo} and HTTP response
     */
    getPriceTemplateListWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsConfigPriceTemplateVo;

      return this.apiClient.callApi(
        '/ppsConfigPriceTemplate/getPriceTemplateList', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询价格模板List
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsConfigPriceTemplateVo}
     */
    getPriceTemplateList() {
      return this.getPriceTemplateListWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 修改价格模板
     * @param {Number} templateId 模板id
     * @param {module:model/PpsConfigPriceTemplateDto} ppsConfigPriceTemplateDto 价格模板配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updatePriceTemplateWithHttpInfo(templateId, ppsConfigPriceTemplateDto) {
      let postBody = ppsConfigPriceTemplateDto;

      // verify the required parameter 'templateId' is set
      if (templateId === undefined || templateId === null) {
        throw new Error("Missing the required parameter 'templateId' when calling updatePriceTemplate");
      }

      // verify the required parameter 'ppsConfigPriceTemplateDto' is set
      if (ppsConfigPriceTemplateDto === undefined || ppsConfigPriceTemplateDto === null) {
        throw new Error("Missing the required parameter 'ppsConfigPriceTemplateDto' when calling updatePriceTemplate");
      }


      let pathParams = {
        'templateId': templateId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsConfigPriceTemplate/updatePriceTemplate/{templateId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 修改价格模板
     * @param {Number} templateId 模板id
     * @param {module:model/PpsConfigPriceTemplateDto} ppsConfigPriceTemplateDto 价格模板配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updatePriceTemplate(templateId, ppsConfigPriceTemplateDto) {
      return this.updatePriceTemplateWithHttpInfo(templateId, ppsConfigPriceTemplateDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
