/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsDataMeterOriginalDto from '../model/PpsDataMeterOriginalDto';
import RPagePpsDataMeterOriginal from '../model/RPagePpsDataMeterOriginal';

/**
* PpsDataMeterOriginal service.
* @module api/PpsDataMeterOriginalApi
* @version 1.0.0
*/
export default class PpsDataMeterOriginalApi {

    /**
    * Constructs a new PpsDataMeterOriginalApi. 
    * @alias module:api/PpsDataMeterOriginalApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 获取表计读数
     * @param {module:model/PpsDataMeterOriginalDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPagePpsDataMeterOriginal} and HTTP response
     */
    getMeterOriginalDataWithHttpInfo(dto) {
      let postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto === undefined || dto === null) {
        throw new Error("Missing the required parameter 'dto' when calling getMeterOriginalData");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPagePpsDataMeterOriginal;

      return this.apiClient.callApi(
        '/meter/original/data', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 获取表计读数
     * @param {module:model/PpsDataMeterOriginalDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPagePpsDataMeterOriginal}
     */
    getMeterOriginalData(dto) {
      return this.getMeterOriginalDataWithHttpInfo(dto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
