/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsHardwareCollectorDto from '../model/PpsHardwareCollectorDto';
import R from '../model/R';
import RPagePpsHardwareCollector from '../model/RPagePpsHardwareCollector';
import RPpsHardwareCollectorVo from '../model/RPpsHardwareCollectorVo';

/**
* PpsHardwareCollector service.
* @module api/PpsHardwareCollectorApi
* @version 1.0.0
*/
export default class PpsHardwareCollectorApi {

    /**
    * Constructs a new PpsHardwareCollectorApi. 
    * @alias module:api/PpsHardwareCollectorApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 批量删除采集器
     * @param {String} ids ids
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    deleteCollectorByIdsWithHttpInfo(ids) {
      let postBody = null;

      // verify the required parameter 'ids' is set
      if (ids === undefined || ids === null) {
        throw new Error("Missing the required parameter 'ids' when calling deleteCollectorByIds");
      }


      let pathParams = {
        'ids': ids
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/collector/batch/delete/{ids}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 批量删除采集器
     * @param {String} ids ids
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    deleteCollectorByIds(ids) {
      return this.deleteCollectorByIdsWithHttpInfo(ids)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 唯一查
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPpsHardwareCollectorVo} and HTTP response
     */
    getCollectorByIdWithHttpInfo(id) {
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling getCollectorById");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPpsHardwareCollectorVo;

      return this.apiClient.callApi(
        '/collector/detail/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 唯一查
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPpsHardwareCollectorVo}
     */
    getCollectorById(id) {
      return this.getCollectorByIdWithHttpInfo(id)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 采集器-列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageNum 页码
     * @param {Number} opts.pageSize 每页显示数量
     * @param {Number} opts.id 主键id
     * @param {Date} opts.createTime 创建时间
     * @param {Date} opts.updateTime 修改时间
     * @param {Boolean} opts.disabled 是否禁用（1-是，0-否）
     * @param {Date} opts.lastReceiveTime 采集器最后通信时间
     * @param {Date} opts.lastUpdateTime 采集器最后更新时间，区别于本条记录更新时间
     * @param {String} opts.collectorName 采集器名称
     * @param {String} opts.collectorCode 采集器编号
     * @param {String} opts.collectorType 采集器类型（jkjn、1376.1）
     * @param {Number} opts.collectInterval 采集时间间隔（以分钟为单位）
     * @param {Date} opts.collectorStartUpTime 采集器开始采集时间
     * @param {Date} opts.collectorLastReceiveTime 采集器最后采集时间
     * @param {Number} opts.companyId 公司id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPagePpsHardwareCollector} and HTTP response
     */
    getCollectorPageListWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'pageNum': opts['pageNum'],
        'pageSize': opts['pageSize'],
        'id': opts['id'],
        'createTime': opts['createTime'],
        'updateTime': opts['updateTime'],
        'disabled': opts['disabled'],
        'lastReceiveTime': opts['lastReceiveTime'],
        'lastUpdateTime': opts['lastUpdateTime'],
        'collectorName': opts['collectorName'],
        'collectorCode': opts['collectorCode'],
        'collectorType': opts['collectorType'],
        'collectInterval': opts['collectInterval'],
        'collectorStartUpTime': opts['collectorStartUpTime'],
        'collectorLastReceiveTime': opts['collectorLastReceiveTime'],
        'companyId': opts['companyId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPagePpsHardwareCollector;

      return this.apiClient.callApi(
        '/collector/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 采集器-列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageNum 页码
     * @param {Number} opts.pageSize 每页显示数量
     * @param {Number} opts.id 主键id
     * @param {Date} opts.createTime 创建时间
     * @param {Date} opts.updateTime 修改时间
     * @param {Boolean} opts.disabled 是否禁用（1-是，0-否）
     * @param {Date} opts.lastReceiveTime 采集器最后通信时间
     * @param {Date} opts.lastUpdateTime 采集器最后更新时间，区别于本条记录更新时间
     * @param {String} opts.collectorName 采集器名称
     * @param {String} opts.collectorCode 采集器编号
     * @param {String} opts.collectorType 采集器类型（jkjn、1376.1）
     * @param {Number} opts.collectInterval 采集时间间隔（以分钟为单位）
     * @param {Date} opts.collectorStartUpTime 采集器开始采集时间
     * @param {Date} opts.collectorLastReceiveTime 采集器最后采集时间
     * @param {Number} opts.companyId 公司id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPagePpsHardwareCollector}
     */
    getCollectorPageList(opts) {
      return this.getCollectorPageListWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 新增
     * @param {module:model/PpsHardwareCollectorDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    insertCollectorWithHttpInfo(dto) {
      let postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto === undefined || dto === null) {
        throw new Error("Missing the required parameter 'dto' when calling insertCollector");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/collector/add', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 新增
     * @param {module:model/PpsHardwareCollectorDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    insertCollector(dto) {
      return this.insertCollectorWithHttpInfo(dto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 更新
     * @param {module:model/PpsHardwareCollectorDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updateCollectorByIdWithHttpInfo(dto) {
      let postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto === undefined || dto === null) {
        throw new Error("Missing the required parameter 'dto' when calling updateCollectorById");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/collector/update', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 更新
     * @param {module:model/PpsHardwareCollectorDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updateCollectorById(dto) {
      return this.updateCollectorByIdWithHttpInfo(dto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
