/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import RPagePpsHardwareCollectorSync from '../model/RPagePpsHardwareCollectorSync';

/**
* PpsHardwareCollectorSync service.
* @module api/PpsHardwareCollectorSyncApi
* @version 1.0.0
*/
export default class PpsHardwareCollectorSyncApi {

    /**
    * Constructs a new PpsHardwareCollectorSyncApi. 
    * @alias module:api/PpsHardwareCollectorSyncApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 记录-列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageNum 页码
     * @param {Number} opts.pageSize 每页显示数量
     * @param {Number} opts.id 主键id
     * @param {Date} opts.createTime 创建时间
     * @param {Date} opts.updateTime 修改时间
     * @param {Boolean} opts.disabled 是否禁用（1-是，0-否）
     * @param {String} opts.syncUid 标记，匹配从connect返回的操作反馈中，修改对应操作的状态（success、fail）
     * @param {String} opts.syncProtocol 标记是操作的集中器还是采集器（1376.1、xml）
     * @param {String} opts.syncEvent 远程同步事件-例：集中器的meterAdd，采集的writeBuildId等
     * @param {String} opts.syncParam 远程同步配置，不管是集中器还是采集器，发送给connect都是json格式，connect会二次处理为合适的格式发送给集中器、采集器，字段中同样存json
     * @param {String} opts.syncStatus 远程同步状态，null、success、fail
     * @param {String} opts.syncResult 远程同步返回结果，失败的原因，或者成功的额外返回（一般只是失败会有）
     * @param {Number} opts.collectorId 采集器id
     * @param {Number} opts.meterId 表计id（根据事件不同，可为空）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPagePpsHardwareCollectorSync} and HTTP response
     */
    getCollectorSyncPageListWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'pageNum': opts['pageNum'],
        'pageSize': opts['pageSize'],
        'id': opts['id'],
        'createTime': opts['createTime'],
        'updateTime': opts['updateTime'],
        'disabled': opts['disabled'],
        'syncUid': opts['syncUid'],
        'syncProtocol': opts['syncProtocol'],
        'syncEvent': opts['syncEvent'],
        'syncParam': opts['syncParam'],
        'syncStatus': opts['syncStatus'],
        'syncResult': opts['syncResult'],
        'collectorId': opts['collectorId'],
        'meterId': opts['meterId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPagePpsHardwareCollectorSync;

      return this.apiClient.callApi(
        '/collectorSync/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 记录-列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageNum 页码
     * @param {Number} opts.pageSize 每页显示数量
     * @param {Number} opts.id 主键id
     * @param {Date} opts.createTime 创建时间
     * @param {Date} opts.updateTime 修改时间
     * @param {Boolean} opts.disabled 是否禁用（1-是，0-否）
     * @param {String} opts.syncUid 标记，匹配从connect返回的操作反馈中，修改对应操作的状态（success、fail）
     * @param {String} opts.syncProtocol 标记是操作的集中器还是采集器（1376.1、xml）
     * @param {String} opts.syncEvent 远程同步事件-例：集中器的meterAdd，采集的writeBuildId等
     * @param {String} opts.syncParam 远程同步配置，不管是集中器还是采集器，发送给connect都是json格式，connect会二次处理为合适的格式发送给集中器、采集器，字段中同样存json
     * @param {String} opts.syncStatus 远程同步状态，null、success、fail
     * @param {String} opts.syncResult 远程同步返回结果，失败的原因，或者成功的额外返回（一般只是失败会有）
     * @param {Number} opts.collectorId 采集器id
     * @param {Number} opts.meterId 表计id（根据事件不同，可为空）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPagePpsHardwareCollectorSync}
     */
    getCollectorSyncPageList(opts) {
      return this.getCollectorSyncPageListWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
