/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsHardwareMeterDto from '../model/PpsHardwareMeterDto';
import R from '../model/R';
import RPagePpsHardwareMeter from '../model/RPagePpsHardwareMeter';
import RPpsHardwareMeterVo from '../model/RPpsHardwareMeterVo';

/**
* PpsHardwareMeter service.
* @module api/PpsHardwareMeterApi
* @version 1.0.0
*/
export default class PpsHardwareMeterApi {

    /**
    * Constructs a new PpsHardwareMeterApi. 
    * @alias module:api/PpsHardwareMeterApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 批量删除采集器
     * @param {String} ids ids
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    deleteMeterByIdsWithHttpInfo(ids) {
      let postBody = null;

      // verify the required parameter 'ids' is set
      if (ids === undefined || ids === null) {
        throw new Error("Missing the required parameter 'ids' when calling deleteMeterByIds");
      }


      let pathParams = {
        'ids': ids
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/meter/batch/delete/{ids}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 批量删除采集器
     * @param {String} ids ids
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    deleteMeterByIds(ids) {
      return this.deleteMeterByIdsWithHttpInfo(ids)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 唯一查
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPpsHardwareMeterVo} and HTTP response
     */
    getMeterByIdWithHttpInfo(id) {
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling getMeterById");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPpsHardwareMeterVo;

      return this.apiClient.callApi(
        '/meter/detail/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 唯一查
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPpsHardwareMeterVo}
     */
    getMeterById(id) {
      return this.getMeterByIdWithHttpInfo(id)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 采集器-列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageNum 页码
     * @param {Number} opts.pageSize 每页显示数量
     * @param {Number} opts.id 主键id
     * @param {Date} opts.createTime 创建时间
     * @param {Date} opts.updateTime 修改时间
     * @param {Boolean} opts.disabled 是否禁用（1-是，0-否）
     * @param {module:model/String} opts.deviceStatus 设备是否可用
     * @param {String} opts.meterName 表计名称
     * @param {String} opts.meterCode 表号
     * @param {String} opts.meterIndex 测点号（集中器-测点号，采集器-null）
     * @param {module:model/String} opts.meterStatus 表计状态（目前仅集中器，POWER_OFF-断电，POWER_ON-正常供电，UNKNOWN-未知）
     * @param {Date} opts.meterStartUpTime 表计开始通信时间
     * @param {Date} opts.meterLastReceiveTime 表计最后通信时间
     * @param {Date} opts.meterLastUpdateTime 表计最后更新时间，区别于本条记录更新时间
     * @param {String} opts.meterType 表计类型（single-单相表，multiple-多功能表）
     * @param {Number} opts.energyType 分类能耗类型（01-电，02-水）
     * @param {Boolean} opts.meterBindFlag 表计是否启用（即是否绑定部位，1-是，0-否）
     * @param {String} opts.meterMainLevel 启用后，总表级别（空-非总表，POWERLINE-条线总表，ZONEAREA-台区总表）
     * @param {Number} opts.collectorId 采集器id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPagePpsHardwareMeter} and HTTP response
     */
    getMeterPageListWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'pageNum': opts['pageNum'],
        'pageSize': opts['pageSize'],
        'id': opts['id'],
        'createTime': opts['createTime'],
        'updateTime': opts['updateTime'],
        'disabled': opts['disabled'],
        'deviceStatus': opts['deviceStatus'],
        'meterName': opts['meterName'],
        'meterCode': opts['meterCode'],
        'meterIndex': opts['meterIndex'],
        'meterStatus': opts['meterStatus'],
        'meterStartUpTime': opts['meterStartUpTime'],
        'meterLastReceiveTime': opts['meterLastReceiveTime'],
        'meterLastUpdateTime': opts['meterLastUpdateTime'],
        'meterType': opts['meterType'],
        'energyType': opts['energyType'],
        'meterBindFlag': opts['meterBindFlag'],
        'meterMainLevel': opts['meterMainLevel'],
        'collectorId': opts['collectorId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPagePpsHardwareMeter;

      return this.apiClient.callApi(
        '/meter/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 采集器-列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageNum 页码
     * @param {Number} opts.pageSize 每页显示数量
     * @param {Number} opts.id 主键id
     * @param {Date} opts.createTime 创建时间
     * @param {Date} opts.updateTime 修改时间
     * @param {Boolean} opts.disabled 是否禁用（1-是，0-否）
     * @param {module:model/String} opts.deviceStatus 设备是否可用
     * @param {String} opts.meterName 表计名称
     * @param {String} opts.meterCode 表号
     * @param {String} opts.meterIndex 测点号（集中器-测点号，采集器-null）
     * @param {module:model/String} opts.meterStatus 表计状态（目前仅集中器，POWER_OFF-断电，POWER_ON-正常供电，UNKNOWN-未知）
     * @param {Date} opts.meterStartUpTime 表计开始通信时间
     * @param {Date} opts.meterLastReceiveTime 表计最后通信时间
     * @param {Date} opts.meterLastUpdateTime 表计最后更新时间，区别于本条记录更新时间
     * @param {String} opts.meterType 表计类型（single-单相表，multiple-多功能表）
     * @param {Number} opts.energyType 分类能耗类型（01-电，02-水）
     * @param {Boolean} opts.meterBindFlag 表计是否启用（即是否绑定部位，1-是，0-否）
     * @param {String} opts.meterMainLevel 启用后，总表级别（空-非总表，POWERLINE-条线总表，ZONEAREA-台区总表）
     * @param {Number} opts.collectorId 采集器id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPagePpsHardwareMeter}
     */
    getMeterPageList(opts) {
      return this.getMeterPageListWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 新增
     * @param {module:model/PpsHardwareMeterDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    insertMeterWithHttpInfo(dto) {
      let postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto === undefined || dto === null) {
        throw new Error("Missing the required parameter 'dto' when calling insertMeter");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/meter/add', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 新增
     * @param {module:model/PpsHardwareMeterDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    insertMeter(dto) {
      return this.insertMeterWithHttpInfo(dto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 更新
     * @param {module:model/PpsHardwareMeterDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updateMeterByIdWithHttpInfo(dto) {
      let postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto === undefined || dto === null) {
        throw new Error("Missing the required parameter 'dto' when calling updateMeterById");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/meter/update', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 更新
     * @param {module:model/PpsHardwareMeterDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updateMeterById(dto) {
      return this.updateMeterByIdWithHttpInfo(dto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
