/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import RPagePpsHardwareMeterChanged from '../model/RPagePpsHardwareMeterChanged';

/**
* PpsHardwareMeterChanged service.
* @module api/PpsHardwareMeterChangedApi
* @version 1.0.0
*/
export default class PpsHardwareMeterChangedApi {

    /**
    * Constructs a new PpsHardwareMeterChangedApi. 
    * @alias module:api/PpsHardwareMeterChangedApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 记录-列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageNum 页码
     * @param {Number} opts.pageSize 每页显示数量
     * @param {Number} opts.id 主键id
     * @param {Date} opts.createTime 创建时间
     * @param {Date} opts.updateTime 修改时间
     * @param {Boolean} opts.disabled 是否禁用（1-是，0-否）
     * @param {Date} opts.changeTime 换表时间
     * @param {Number} opts.meterId 表计id
     * @param {String} opts.oldMeterCode 旧表表号
     * @param {Number} opts.oldMeterOriginalData 旧表原始读数
     * @param {Number} opts.oldMeterProcessedData 旧表读数（乘变比）
     * @param {String} opts.newMeterCode 新表表号
     * @param {Number} opts.newMeterOriginalData 新表原始读数
     * @param {Number} opts.newMeterProcessedData 新表读数（乘变比）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPagePpsHardwareMeterChanged} and HTTP response
     */
    getMeterChangePageListWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'pageNum': opts['pageNum'],
        'pageSize': opts['pageSize'],
        'id': opts['id'],
        'createTime': opts['createTime'],
        'updateTime': opts['updateTime'],
        'disabled': opts['disabled'],
        'changeTime': opts['changeTime'],
        'meterId': opts['meterId'],
        'oldMeterCode': opts['oldMeterCode'],
        'oldMeterOriginalData': opts['oldMeterOriginalData'],
        'oldMeterProcessedData': opts['oldMeterProcessedData'],
        'newMeterCode': opts['newMeterCode'],
        'newMeterOriginalData': opts['newMeterOriginalData'],
        'newMeterProcessedData': opts['newMeterProcessedData']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPagePpsHardwareMeterChanged;

      return this.apiClient.callApi(
        '/meterChanged/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 记录-列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageNum 页码
     * @param {Number} opts.pageSize 每页显示数量
     * @param {Number} opts.id 主键id
     * @param {Date} opts.createTime 创建时间
     * @param {Date} opts.updateTime 修改时间
     * @param {Boolean} opts.disabled 是否禁用（1-是，0-否）
     * @param {Date} opts.changeTime 换表时间
     * @param {Number} opts.meterId 表计id
     * @param {String} opts.oldMeterCode 旧表表号
     * @param {Number} opts.oldMeterOriginalData 旧表原始读数
     * @param {Number} opts.oldMeterProcessedData 旧表读数（乘变比）
     * @param {String} opts.newMeterCode 新表表号
     * @param {Number} opts.newMeterOriginalData 新表原始读数
     * @param {Number} opts.newMeterProcessedData 新表读数（乘变比）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPagePpsHardwareMeterChanged}
     */
    getMeterChangePageList(opts) {
      return this.getMeterChangePageListWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
