/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsHardwareMeterParamDto from '../model/PpsHardwareMeterParamDto';
import R from '../model/R';
import RPagePpsHardwareMeterParam from '../model/RPagePpsHardwareMeterParam';
import RPpsHardwareMeterParamVo from '../model/RPpsHardwareMeterParamVo';

/**
* PpsHardwareMeterParam service.
* @module api/PpsHardwareMeterParamApi
* @version 1.0.0
*/
export default class PpsHardwareMeterParamApi {

    /**
    * Constructs a new PpsHardwareMeterParamApi. 
    * @alias module:api/PpsHardwareMeterParamApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 批量删除采集器
     * @param {String} ids ids
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    deleteMeterParamByIdsWithHttpInfo(ids) {
      let postBody = null;

      // verify the required parameter 'ids' is set
      if (ids === undefined || ids === null) {
        throw new Error("Missing the required parameter 'ids' when calling deleteMeterParamByIds");
      }


      let pathParams = {
        'ids': ids
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/meterParam/batch/delete/{ids}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 批量删除采集器
     * @param {String} ids ids
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    deleteMeterParamByIds(ids) {
      return this.deleteMeterParamByIdsWithHttpInfo(ids)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 唯一查
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPpsHardwareMeterParamVo} and HTTP response
     */
    getMeterParamByIdWithHttpInfo(id) {
      let postBody = null;

      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling getMeterParamById");
      }


      let pathParams = {
        'id': id
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPpsHardwareMeterParamVo;

      return this.apiClient.callApi(
        '/meterParam/detail/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 唯一查
     * @param {Number} id id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPpsHardwareMeterParamVo}
     */
    getMeterParamById(id) {
      return this.getMeterParamByIdWithHttpInfo(id)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 采集器-列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageNum 页码
     * @param {Number} opts.pageSize 每页显示数量
     * @param {Number} opts.id 主键id
     * @param {Date} opts.createTime 创建时间
     * @param {Date} opts.updateTime 修改时间
     * @param {Boolean} opts.disabled 是否禁用（1-是，0-否）
     * @param {String} opts.paramName 表计参数名称
     * @param {String} opts.paramCode 表计参数编码
     * @param {module:model/String} opts.paramValueType 表计数据类型（AGGREGATE-累计值，INTIME-即时值）
     * @param {Number} opts.paramChangeRate 变比（正向有功，三相电流有变比；三相电压，总功率因素默认变比1）
     * @param {Number} opts.meterId 表计id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RPagePpsHardwareMeterParam} and HTTP response
     */
    getMeterParamPageListWithHttpInfo(opts) {
      opts = opts || {};
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
        'pageNum': opts['pageNum'],
        'pageSize': opts['pageSize'],
        'id': opts['id'],
        'createTime': opts['createTime'],
        'updateTime': opts['updateTime'],
        'disabled': opts['disabled'],
        'paramName': opts['paramName'],
        'paramCode': opts['paramCode'],
        'paramValueType': opts['paramValueType'],
        'paramChangeRate': opts['paramChangeRate'],
        'meterId': opts['meterId']
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RPagePpsHardwareMeterParam;

      return this.apiClient.callApi(
        '/meterParam/list', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 采集器-列表
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageNum 页码
     * @param {Number} opts.pageSize 每页显示数量
     * @param {Number} opts.id 主键id
     * @param {Date} opts.createTime 创建时间
     * @param {Date} opts.updateTime 修改时间
     * @param {Boolean} opts.disabled 是否禁用（1-是，0-否）
     * @param {String} opts.paramName 表计参数名称
     * @param {String} opts.paramCode 表计参数编码
     * @param {module:model/String} opts.paramValueType 表计数据类型（AGGREGATE-累计值，INTIME-即时值）
     * @param {Number} opts.paramChangeRate 变比（正向有功，三相电流有变比；三相电压，总功率因素默认变比1）
     * @param {Number} opts.meterId 表计id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RPagePpsHardwareMeterParam}
     */
    getMeterParamPageList(opts) {
      return this.getMeterParamPageListWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 新增
     * @param {module:model/PpsHardwareMeterParamDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    insertMeterParamWithHttpInfo(dto) {
      let postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto === undefined || dto === null) {
        throw new Error("Missing the required parameter 'dto' when calling insertMeterParam");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/meterParam/add', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 新增
     * @param {module:model/PpsHardwareMeterParamDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    insertMeterParam(dto) {
      return this.insertMeterParamWithHttpInfo(dto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 更新
     * @param {module:model/PpsHardwareMeterParamDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updateMeterParamByIdWithHttpInfo(dto) {
      let postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto === undefined || dto === null) {
        throw new Error("Missing the required parameter 'dto' when calling updateMeterParamById");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/meterParam/update', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 更新
     * @param {module:model/PpsHardwareMeterParamDto} dto dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updateMeterParamById(dto) {
      return this.updateMeterParamByIdWithHttpInfo(dto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
