/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import RListPpsLocationCompanyVo from '../model/RListPpsLocationCompanyVo';
import RListstring from '../model/RListstring';

/**
* PpsLocationCompany service.
* @module api/PpsLocationCompanyApi
* @version 1.0.0
*/
export default class PpsLocationCompanyApi {

    /**
    * Constructs a new PpsLocationCompanyApi. 
    * @alias module:api/PpsLocationCompanyApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 查询公司下线路列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsLocationCompanyVo} and HTTP response
     */
    getEnergylineListByCompanyIdWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsLocationCompanyVo;

      return this.apiClient.callApi(
        '/ppsLocationCompany/getEnergylineListByCompanyId', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询公司下线路列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsLocationCompanyVo}
     */
    getEnergylineListByCompanyId() {
      return this.getEnergylineListByCompanyIdWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 查询收费项目List
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListstring} and HTTP response
     */
    getFeeCodeListWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListstring;

      return this.apiClient.callApi(
        '/ppsLocationCompany/getFeeCodeList', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询收费项目List
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListstring}
     */
    getFeeCodeList() {
      return this.getFeeCodeListWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 查询公司下台区列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsLocationCompanyVo} and HTTP response
     */
    getZoneareaListByCompanyIdWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsLocationCompanyVo;

      return this.apiClient.callApi(
        '/ppsLocationCompany/getZoneareaListByCompanyId', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询公司下台区列表
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsLocationCompanyVo}
     */
    getZoneareaListByCompanyId() {
      return this.getZoneareaListByCompanyIdWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
