/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsLocationDetailpartDto from '../model/PpsLocationDetailpartDto';
import R from '../model/R';
import RListPpsLocationDetailpartVo from '../model/RListPpsLocationDetailpartVo';

/**
* PpsLocationDetailpart service.
* @module api/PpsLocationDetailpartApi
* @version 1.0.0
*/
export default class PpsLocationDetailpartApi {

    /**
    * Constructs a new PpsLocationDetailpartApi. 
    * @alias module:api/PpsLocationDetailpartApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 新增部位
     * @param {module:model/PpsLocationDetailpartDto} ppsLocationDetailpartDto 部位配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    addDetailpartWithHttpInfo(ppsLocationDetailpartDto) {
      let postBody = ppsLocationDetailpartDto;

      // verify the required parameter 'ppsLocationDetailpartDto' is set
      if (ppsLocationDetailpartDto === undefined || ppsLocationDetailpartDto === null) {
        throw new Error("Missing the required parameter 'ppsLocationDetailpartDto' when calling addDetailpart");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsLocationDetailpart/addDetailpart', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 新增部位
     * @param {module:model/PpsLocationDetailpartDto} ppsLocationDetailpartDto 部位配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    addDetailpart(ppsLocationDetailpartDto) {
      return this.addDetailpartWithHttpInfo(ppsLocationDetailpartDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 根据台区查询部位List
     * @param {Number} zoneareaId 台区id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsLocationDetailpartVo} and HTTP response
     */
    getDetailpartListWithHttpInfo(zoneareaId) {
      let postBody = null;

      // verify the required parameter 'zoneareaId' is set
      if (zoneareaId === undefined || zoneareaId === null) {
        throw new Error("Missing the required parameter 'zoneareaId' when calling getDetailpartList");
      }


      let pathParams = {
        'zoneareaId': zoneareaId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsLocationDetailpartVo;

      return this.apiClient.callApi(
        '/ppsLocationDetailpart/getDetailpartList/{zoneareaId}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 根据台区查询部位List
     * @param {Number} zoneareaId 台区id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsLocationDetailpartVo}
     */
    getDetailpartList(zoneareaId) {
      return this.getDetailpartListWithHttpInfo(zoneareaId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 修改部位
     * @param {Number} zoneareaId 台区id
     * @param {module:model/PpsLocationDetailpartDto} ppsLocationDetailpartDto 部位配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updateDetailpartWithHttpInfo(zoneareaId, ppsLocationDetailpartDto) {
      let postBody = ppsLocationDetailpartDto;

      // verify the required parameter 'zoneareaId' is set
      if (zoneareaId === undefined || zoneareaId === null) {
        throw new Error("Missing the required parameter 'zoneareaId' when calling updateDetailpart");
      }

      // verify the required parameter 'ppsLocationDetailpartDto' is set
      if (ppsLocationDetailpartDto === undefined || ppsLocationDetailpartDto === null) {
        throw new Error("Missing the required parameter 'ppsLocationDetailpartDto' when calling updateDetailpart");
      }


      let pathParams = {
        'zoneareaId': zoneareaId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsLocationDetailpart/updateDetailpart', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 修改部位
     * @param {Number} zoneareaId 台区id
     * @param {module:model/PpsLocationDetailpartDto} ppsLocationDetailpartDto 部位配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updateDetailpart(zoneareaId, ppsLocationDetailpartDto) {
      return this.updateDetailpartWithHttpInfo(zoneareaId, ppsLocationDetailpartDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
