/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsLocationEnergylineDto from '../model/PpsLocationEnergylineDto';
import R from '../model/R';
import RListPpsLocationEnergylineVo from '../model/RListPpsLocationEnergylineVo';

/**
* PpsLocationEnergyline service.
* @module api/PpsLocationEnergylineApi
* @version 1.0.0
*/
export default class PpsLocationEnergylineApi {

    /**
    * Constructs a new PpsLocationEnergylineApi. 
    * @alias module:api/PpsLocationEnergylineApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 新增条线
     * @param {module:model/PpsLocationEnergylineDto} ppsLocationEnergylineDto 条线配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    addEnergylineWithHttpInfo(ppsLocationEnergylineDto) {
      let postBody = ppsLocationEnergylineDto;

      // verify the required parameter 'ppsLocationEnergylineDto' is set
      if (ppsLocationEnergylineDto === undefined || ppsLocationEnergylineDto === null) {
        throw new Error("Missing the required parameter 'ppsLocationEnergylineDto' when calling addEnergyline");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsLocationEnergyline/addEnergyline', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 新增条线
     * @param {module:model/PpsLocationEnergylineDto} ppsLocationEnergylineDto 条线配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    addEnergyline(ppsLocationEnergylineDto) {
      return this.addEnergylineWithHttpInfo(ppsLocationEnergylineDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 查询条线下台区列表
     * @param {Number} energylineId 条线id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsLocationEnergylineVo} and HTTP response
     */
    getZoneareaListByEnergylineIdWithHttpInfo(energylineId) {
      let postBody = null;

      // verify the required parameter 'energylineId' is set
      if (energylineId === undefined || energylineId === null) {
        throw new Error("Missing the required parameter 'energylineId' when calling getZoneareaListByEnergylineId");
      }


      let pathParams = {
        'energylineId': energylineId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsLocationEnergylineVo;

      return this.apiClient.callApi(
        '/ppsLocationEnergyline/getZoneareaListByEnergylineId/{energylineId}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询条线下台区列表
     * @param {Number} energylineId 条线id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsLocationEnergylineVo}
     */
    getZoneareaListByEnergylineId(energylineId) {
      return this.getZoneareaListByEnergylineIdWithHttpInfo(energylineId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 设置条线总表
     * @param {Number} energylineId 条线id
     * @param {module:model/PpsLocationEnergylineDto} ppsLocationEnergylineDto 条线配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    setEnergylineMainPowerMeterWithHttpInfo(energylineId, ppsLocationEnergylineDto) {
      let postBody = ppsLocationEnergylineDto;

      // verify the required parameter 'energylineId' is set
      if (energylineId === undefined || energylineId === null) {
        throw new Error("Missing the required parameter 'energylineId' when calling setEnergylineMainPowerMeter");
      }

      // verify the required parameter 'ppsLocationEnergylineDto' is set
      if (ppsLocationEnergylineDto === undefined || ppsLocationEnergylineDto === null) {
        throw new Error("Missing the required parameter 'ppsLocationEnergylineDto' when calling setEnergylineMainPowerMeter");
      }


      let pathParams = {
        'energylineId': energylineId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsLocationEnergyline/setEnergylineMainPowerMeter/{energylineId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 设置条线总表
     * @param {Number} energylineId 条线id
     * @param {module:model/PpsLocationEnergylineDto} ppsLocationEnergylineDto 条线配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    setEnergylineMainPowerMeter(energylineId, ppsLocationEnergylineDto) {
      return this.setEnergylineMainPowerMeterWithHttpInfo(energylineId, ppsLocationEnergylineDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 修改条线信息
     * @param {Number} energylineId 条线id
     * @param {module:model/PpsLocationEnergylineDto} ppsLocationEnergylineDto 条线配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updateEnergylineInfoWithHttpInfo(energylineId, ppsLocationEnergylineDto) {
      let postBody = ppsLocationEnergylineDto;

      // verify the required parameter 'energylineId' is set
      if (energylineId === undefined || energylineId === null) {
        throw new Error("Missing the required parameter 'energylineId' when calling updateEnergylineInfo");
      }

      // verify the required parameter 'ppsLocationEnergylineDto' is set
      if (ppsLocationEnergylineDto === undefined || ppsLocationEnergylineDto === null) {
        throw new Error("Missing the required parameter 'ppsLocationEnergylineDto' when calling updateEnergylineInfo");
      }


      let pathParams = {
        'energylineId': energylineId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsLocationEnergyline/updateEnergylineInfo/{energylineId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 修改条线信息
     * @param {Number} energylineId 条线id
     * @param {module:model/PpsLocationEnergylineDto} ppsLocationEnergylineDto 条线配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updateEnergylineInfo(energylineId, ppsLocationEnergylineDto) {
      return this.updateEnergylineInfoWithHttpInfo(energylineId, ppsLocationEnergylineDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
