/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsLocationZoneareaDto from '../model/PpsLocationZoneareaDto';
import R from '../model/R';

/**
* PpsLocationZonearea service.
* @module api/PpsLocationZoneareaApi
* @version 1.0.0
*/
export default class PpsLocationZoneareaApi {

    /**
    * Constructs a new PpsLocationZoneareaApi. 
    * @alias module:api/PpsLocationZoneareaApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 新增台区
     * @param {module:model/PpsLocationZoneareaDto} ppsLocationZoneareaDto 台区配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    addZoneareaWithHttpInfo(ppsLocationZoneareaDto) {
      let postBody = ppsLocationZoneareaDto;

      // verify the required parameter 'ppsLocationZoneareaDto' is set
      if (ppsLocationZoneareaDto === undefined || ppsLocationZoneareaDto === null) {
        throw new Error("Missing the required parameter 'ppsLocationZoneareaDto' when calling addZonearea");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsLocationZonearea/addZonearea', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 新增台区
     * @param {module:model/PpsLocationZoneareaDto} ppsLocationZoneareaDto 台区配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    addZonearea(ppsLocationZoneareaDto) {
      return this.addZoneareaWithHttpInfo(ppsLocationZoneareaDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 设置台区总表
     * @param {Number} zoneareaId 台区id
     * @param {module:model/PpsLocationZoneareaDto} ppsLocationZoneareaDto 台区配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    setZoneareaMainPowerMeterWithHttpInfo(zoneareaId, ppsLocationZoneareaDto) {
      let postBody = ppsLocationZoneareaDto;

      // verify the required parameter 'zoneareaId' is set
      if (zoneareaId === undefined || zoneareaId === null) {
        throw new Error("Missing the required parameter 'zoneareaId' when calling setZoneareaMainPowerMeter");
      }

      // verify the required parameter 'ppsLocationZoneareaDto' is set
      if (ppsLocationZoneareaDto === undefined || ppsLocationZoneareaDto === null) {
        throw new Error("Missing the required parameter 'ppsLocationZoneareaDto' when calling setZoneareaMainPowerMeter");
      }


      let pathParams = {
        'zoneareaId': zoneareaId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsLocationZonearea/setZoneareaMainPowerMeter/{zoneareaId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 设置台区总表
     * @param {Number} zoneareaId 台区id
     * @param {module:model/PpsLocationZoneareaDto} ppsLocationZoneareaDto 台区配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    setZoneareaMainPowerMeter(zoneareaId, ppsLocationZoneareaDto) {
      return this.setZoneareaMainPowerMeterWithHttpInfo(zoneareaId, ppsLocationZoneareaDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 修改台区信息
     * @param {Number} zoneareaId 台区id
     * @param {module:model/PpsLocationZoneareaDto} ppsLocationZoneareaDto 台区配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updateZoneareaInfoWithHttpInfo(zoneareaId, ppsLocationZoneareaDto) {
      let postBody = ppsLocationZoneareaDto;

      // verify the required parameter 'zoneareaId' is set
      if (zoneareaId === undefined || zoneareaId === null) {
        throw new Error("Missing the required parameter 'zoneareaId' when calling updateZoneareaInfo");
      }

      // verify the required parameter 'ppsLocationZoneareaDto' is set
      if (ppsLocationZoneareaDto === undefined || ppsLocationZoneareaDto === null) {
        throw new Error("Missing the required parameter 'ppsLocationZoneareaDto' when calling updateZoneareaInfo");
      }


      let pathParams = {
        'zoneareaId': zoneareaId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsLocationZonearea/updateZoneareaInfo/{zoneareaId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 修改台区信息
     * @param {Number} zoneareaId 台区id
     * @param {module:model/PpsLocationZoneareaDto} ppsLocationZoneareaDto 台区配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updateZoneareaInfo(zoneareaId, ppsLocationZoneareaDto) {
      return this.updateZoneareaInfoWithHttpInfo(zoneareaId, ppsLocationZoneareaDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
