/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import R from '../model/R';
import RListPpsPayBillDetailVo from '../model/RListPpsPayBillDetailVo';
import RListPpsPayBillTotalVo from '../model/RListPpsPayBillTotalVo';

/**
* PpsPayBill service.
* @module api/PpsPayBillApi
* @version 1.0.0
*/
export default class PpsPayBillApi {

    /**
    * Constructs a new PpsPayBillApi. 
    * @alias module:api/PpsPayBillApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 查询明细账单
     * @param {Number} billTotalId 汇总账单id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsPayBillDetailVo} and HTTP response
     */
    getPayBillDetailListWithHttpInfo(billTotalId) {
      let postBody = null;

      // verify the required parameter 'billTotalId' is set
      if (billTotalId === undefined || billTotalId === null) {
        throw new Error("Missing the required parameter 'billTotalId' when calling getPayBillDetailList");
      }


      let pathParams = {
        'billTotalId': billTotalId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsPayBillDetailVo;

      return this.apiClient.callApi(
        '/ppsPayBill/getPayBillDetailList/{billTotalId}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询明细账单
     * @param {Number} billTotalId 汇总账单id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsPayBillDetailVo}
     */
    getPayBillDetailList(billTotalId) {
      return this.getPayBillDetailListWithHttpInfo(billTotalId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 查询汇总账单
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsPayBillTotalVo} and HTTP response
     */
    getPayBillTotalListWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsPayBillTotalVo;

      return this.apiClient.callApi(
        '/ppsPayBill/getPayBillTotalList', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询汇总账单
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsPayBillTotalVo}
     */
    getPayBillTotalList() {
      return this.getPayBillTotalListWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 手工生成账单
     * @param {Date} billEndTime 账单截止时间
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    manualGenerateBillWithHttpInfo(billEndTime) {
      let postBody = null;

      // verify the required parameter 'billEndTime' is set
      if (billEndTime === undefined || billEndTime === null) {
        throw new Error("Missing the required parameter 'billEndTime' when calling manualGenerateBill");
      }


      let pathParams = {
      };
      let queryParams = {
        'billEndTime': billEndTime
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsPayBill/manualGenerateBill', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 手工生成账单
     * @param {Date} billEndTime 账单截止时间
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    manualGenerateBill(billEndTime) {
      return this.manualGenerateBillWithHttpInfo(billEndTime)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
