/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsPayUserDto from '../model/PpsPayUserDto';
import R from '../model/R';
import RListPpsPayUserVo from '../model/RListPpsPayUserVo';

/**
* PpsPayUser service.
* @module api/PpsPayUserApi
* @version 1.0.0
*/
export default class PpsPayUserApi {

    /**
    * Constructs a new PpsPayUserApi. 
    * @alias module:api/PpsPayUserApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 新增付费用户
     * @param {module:model/PpsPayUserDto} ppsPayUserDto 付费用户配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    addPayUserWithHttpInfo(ppsPayUserDto) {
      let postBody = ppsPayUserDto;

      // verify the required parameter 'ppsPayUserDto' is set
      if (ppsPayUserDto === undefined || ppsPayUserDto === null) {
        throw new Error("Missing the required parameter 'ppsPayUserDto' when calling addPayUser");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsPayUser/addPayUser', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 新增付费用户
     * @param {module:model/PpsPayUserDto} ppsPayUserDto 付费用户配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    addPayUser(ppsPayUserDto) {
      return this.addPayUserWithHttpInfo(ppsPayUserDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 禁用/启用付费用户
     * @param {Number} payUserId 付费用户id
     * @param {Boolean} disabled 是否禁用（true-禁用，false-启用）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    disablePayUserWithHttpInfo(payUserId, disabled) {
      let postBody = null;

      // verify the required parameter 'payUserId' is set
      if (payUserId === undefined || payUserId === null) {
        throw new Error("Missing the required parameter 'payUserId' when calling disablePayUser");
      }

      // verify the required parameter 'disabled' is set
      if (disabled === undefined || disabled === null) {
        throw new Error("Missing the required parameter 'disabled' when calling disablePayUser");
      }


      let pathParams = {
        'payUserId': payUserId
      };
      let queryParams = {
        'disabled': disabled
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsPayUser/disablePayUser/{payUserId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 禁用/启用付费用户
     * @param {Number} payUserId 付费用户id
     * @param {Boolean} disabled 是否禁用（true-禁用，false-启用）
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    disablePayUser(payUserId, disabled) {
      return this.disablePayUserWithHttpInfo(payUserId, disabled)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 查询付费用户list
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsPayUserVo} and HTTP response
     */
    getPayUserListWithHttpInfo() {
      let postBody = null;


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsPayUserVo;

      return this.apiClient.callApi(
        '/ppsPayUser/getPayUserList', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询付费用户list
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsPayUserVo}
     */
    getPayUserList() {
      return this.getPayUserListWithHttpInfo()
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * 修改付费用户
     * @param {Number} zoneareaId 付费用户id
     * @param {module:model/PpsPayUserDto} ppsPayUserDto 付费用户配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    updatePayUserWithHttpInfo(zoneareaId, ppsPayUserDto) {
      let postBody = ppsPayUserDto;

      // verify the required parameter 'zoneareaId' is set
      if (zoneareaId === undefined || zoneareaId === null) {
        throw new Error("Missing the required parameter 'zoneareaId' when calling updatePayUser");
      }

      // verify the required parameter 'ppsPayUserDto' is set
      if (ppsPayUserDto === undefined || ppsPayUserDto === null) {
        throw new Error("Missing the required parameter 'ppsPayUserDto' when calling updatePayUser");
      }


      let pathParams = {
        'zoneareaId': zoneareaId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsPayUser/updatePayUser/{payUserId}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 修改付费用户
     * @param {Number} zoneareaId 付费用户id
     * @param {module:model/PpsPayUserDto} ppsPayUserDto 付费用户配置Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    updatePayUser(zoneareaId, ppsPayUserDto) {
      return this.updatePayUserWithHttpInfo(zoneareaId, ppsPayUserDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
