/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import PpsPayUserRechargeVo from '../model/PpsPayUserRechargeVo';
import R from '../model/R';
import RListPpsPayUserRechargeVo from '../model/RListPpsPayUserRechargeVo';

/**
* PpsPayUserRecharge service.
* @module api/PpsPayUserRechargeApi
* @version 1.0.0
*/
export default class PpsPayUserRechargeApi {

    /**
    * Constructs a new PpsPayUserRechargeApi. 
    * @alias module:api/PpsPayUserRechargeApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 查询充值记录
     * @param {Number} payUserId 付费用户id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsPayUserRechargeVo} and HTTP response
     */
    getPayUserRechargeListWithHttpInfo(payUserId) {
      let postBody = null;

      // verify the required parameter 'payUserId' is set
      if (payUserId === undefined || payUserId === null) {
        throw new Error("Missing the required parameter 'payUserId' when calling getPayUserRechargeList");
      }


      let pathParams = {
        'payUserId': payUserId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsPayUserRechargeVo;

      return this.apiClient.callApi(
        '/ppsPayUserRecharge/getPayUserRechargeList/{payUserId}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询充值记录
     * @param {Number} payUserId 付费用户id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsPayUserRechargeVo}
     */
    getPayUserRechargeList(payUserId) {
      return this.getPayUserRechargeListWithHttpInfo(payUserId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * PC端充值
     * @param {module:model/PpsPayUserRechargeVo} ppsPayUserRechargeDto 付费用户余额充值Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/R} and HTTP response
     */
    pcRechargeWithHttpInfo(ppsPayUserRechargeDto) {
      let postBody = ppsPayUserRechargeDto;

      // verify the required parameter 'ppsPayUserRechargeDto' is set
      if (ppsPayUserRechargeDto === undefined || ppsPayUserRechargeDto === null) {
        throw new Error("Missing the required parameter 'ppsPayUserRechargeDto' when calling pcRecharge");
      }


      let pathParams = {
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = ['application/json'];
      let accepts = ['*/*'];
      let returnType = R;

      return this.apiClient.callApi(
        '/ppsPayUserRecharge/pcRecharge', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * PC端充值
     * @param {module:model/PpsPayUserRechargeVo} ppsPayUserRechargeDto 付费用户余额充值Dto
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/R}
     */
    pcRecharge(ppsPayUserRechargeDto) {
      return this.pcRechargeWithHttpInfo(ppsPayUserRechargeDto)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
