/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from "../ApiClient";
import RListPpsPayUserRemainingAmountVo from '../model/RListPpsPayUserRemainingAmountVo';

/**
* PpsPayUserRemainingAmount service.
* @module api/PpsPayUserRemainingAmountApi
* @version 1.0.0
*/
export default class PpsPayUserRemainingAmountApi {

    /**
    * Constructs a new PpsPayUserRemainingAmountApi. 
    * @alias module:api/PpsPayUserRemainingAmountApi
    * @class
    * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
    * default to {@link module:ApiClient#instance} if unspecified.
    */
    constructor(apiClient) {
        this.apiClient = apiClient || ApiClient.instance;
    }



    /**
     * 查询余额变更记录
     * @param {Number} payUserId 付费用户id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/RListPpsPayUserRemainingAmountVo} and HTTP response
     */
    getPayUserRemainingAmountListWithHttpInfo(payUserId) {
      let postBody = null;

      // verify the required parameter 'payUserId' is set
      if (payUserId === undefined || payUserId === null) {
        throw new Error("Missing the required parameter 'payUserId' when calling getPayUserRemainingAmountList");
      }


      let pathParams = {
        'payUserId': payUserId
      };
      let queryParams = {
      };
      let headerParams = {
      };
      let formParams = {
      };

      let authNames = [];
      let contentTypes = [];
      let accepts = ['*/*'];
      let returnType = RListPpsPayUserRemainingAmountVo;

      return this.apiClient.callApi(
        '/ppsPayUserRemainingAmount/getPayUserRemainingAmountList/{payUserId}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * 查询余额变更记录
     * @param {Number} payUserId 付费用户id
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/RListPpsPayUserRemainingAmountVo}
     */
    getPayUserRemainingAmountList(payUserId) {
      return this.getPayUserRemainingAmountListWithHttpInfo(payUserId)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


}
