/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from '../ApiClient';





/**
* The PpsHardwareCollectorDto model module.
* @module model/PpsHardwareCollectorDto
* @version 1.0.0
*/
export default class PpsHardwareCollectorDto {
    /**
    * Constructs a new <code>PpsHardwareCollectorDto</code>.
    * 采集器配置表Dto
    * @alias module:model/PpsHardwareCollectorDto
    * @class
    */

    constructor() {
        

        
        

        

        
    }

    /**
    * Constructs a <code>PpsHardwareCollectorDto</code> from a plain JavaScript object, optionally creating a new instance.
    * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
    * @param {Object} data The plain JavaScript object bearing properties of interest.
    * @param {module:model/PpsHardwareCollectorDto} obj Optional instance to populate.
    * @return {module:model/PpsHardwareCollectorDto} The populated <code>PpsHardwareCollectorDto</code> instance.
    */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new PpsHardwareCollectorDto();

            
            
            

            if (data.hasOwnProperty('collectInterval')) {
                obj['collectInterval'] = ApiClient.convertToType(data['collectInterval'], 'Number');
            }
            if (data.hasOwnProperty('collectorCode')) {
                obj['collectorCode'] = ApiClient.convertToType(data['collectorCode'], 'String');
            }
            if (data.hasOwnProperty('collectorLastReceiveTime')) {
                obj['collectorLastReceiveTime'] = ApiClient.convertToType(data['collectorLastReceiveTime'], 'Date');
            }
            if (data.hasOwnProperty('collectorName')) {
                obj['collectorName'] = ApiClient.convertToType(data['collectorName'], 'String');
            }
            if (data.hasOwnProperty('collectorStartUpTime')) {
                obj['collectorStartUpTime'] = ApiClient.convertToType(data['collectorStartUpTime'], 'Date');
            }
            if (data.hasOwnProperty('collectorType')) {
                obj['collectorType'] = ApiClient.convertToType(data['collectorType'], 'String');
            }
            if (data.hasOwnProperty('companyId')) {
                obj['companyId'] = ApiClient.convertToType(data['companyId'], 'Number');
            }
            if (data.hasOwnProperty('createTime')) {
                obj['createTime'] = ApiClient.convertToType(data['createTime'], 'Date');
            }
            if (data.hasOwnProperty('disabled')) {
                obj['disabled'] = ApiClient.convertToType(data['disabled'], 'Boolean');
            }
            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'Number');
            }
            if (data.hasOwnProperty('lastReceiveTime')) {
                obj['lastReceiveTime'] = ApiClient.convertToType(data['lastReceiveTime'], 'Date');
            }
            if (data.hasOwnProperty('lastUpdateTime')) {
                obj['lastUpdateTime'] = ApiClient.convertToType(data['lastUpdateTime'], 'Date');
            }
            if (data.hasOwnProperty('pageNum')) {
                obj['pageNum'] = ApiClient.convertToType(data['pageNum'], 'Number');
            }
            if (data.hasOwnProperty('pageSize')) {
                obj['pageSize'] = ApiClient.convertToType(data['pageSize'], 'Number');
            }
            if (data.hasOwnProperty('updateTime')) {
                obj['updateTime'] = ApiClient.convertToType(data['updateTime'], 'Date');
            }
        }
        return obj;
    }

    /**
    * 采集时间间隔（以分钟为单位）
    * @member {Number} collectInterval
    */
    collectInterval = undefined;
    /**
    * 采集器编号
    * @member {String} collectorCode
    */
    collectorCode = undefined;
    /**
    * 采集器最后采集时间
    * @member {Date} collectorLastReceiveTime
    */
    collectorLastReceiveTime = undefined;
    /**
    * 采集器名称
    * @member {String} collectorName
    */
    collectorName = undefined;
    /**
    * 采集器开始采集时间
    * @member {Date} collectorStartUpTime
    */
    collectorStartUpTime = undefined;
    /**
    * 采集器类型（jkjn、1376.1）
    * @member {String} collectorType
    */
    collectorType = undefined;
    /**
    * 公司id
    * @member {Number} companyId
    */
    companyId = undefined;
    /**
    * 创建时间
    * @member {Date} createTime
    */
    createTime = undefined;
    /**
    * 是否禁用（1-是，0-否）
    * @member {Boolean} disabled
    */
    disabled = undefined;
    /**
    * 主键id
    * @member {Number} id
    */
    id = undefined;
    /**
    * 采集器最后通信时间
    * @member {Date} lastReceiveTime
    */
    lastReceiveTime = undefined;
    /**
    * 采集器最后更新时间，区别于本条记录更新时间
    * @member {Date} lastUpdateTime
    */
    lastUpdateTime = undefined;
    /**
    * 页码
    * @member {Number} pageNum
    */
    pageNum = undefined;
    /**
    * 每页显示数量
    * @member {Number} pageSize
    */
    pageSize = undefined;
    /**
    * 修改时间
    * @member {Date} updateTime
    */
    updateTime = undefined;








}


