/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from '../ApiClient';





/**
* The PpsHardwareMeterParamVo model module.
* @module model/PpsHardwareMeterParamVo
* @version 1.0.0
*/
export default class PpsHardwareMeterParamVo {
    /**
    * Constructs a new <code>PpsHardwareMeterParamVo</code>.
    * 表计参数配置表vo
    * @alias module:model/PpsHardwareMeterParamVo
    * @class
    */

    constructor() {
        

        
        

        

        
    }

    /**
    * Constructs a <code>PpsHardwareMeterParamVo</code> from a plain JavaScript object, optionally creating a new instance.
    * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
    * @param {Object} data The plain JavaScript object bearing properties of interest.
    * @param {module:model/PpsHardwareMeterParamVo} obj Optional instance to populate.
    * @return {module:model/PpsHardwareMeterParamVo} The populated <code>PpsHardwareMeterParamVo</code> instance.
    */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new PpsHardwareMeterParamVo();

            
            
            

            if (data.hasOwnProperty('createTime')) {
                obj['createTime'] = ApiClient.convertToType(data['createTime'], 'Date');
            }
            if (data.hasOwnProperty('disabled')) {
                obj['disabled'] = ApiClient.convertToType(data['disabled'], 'Boolean');
            }
            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'Number');
            }
            if (data.hasOwnProperty('meterId')) {
                obj['meterId'] = ApiClient.convertToType(data['meterId'], 'Number');
            }
            if (data.hasOwnProperty('paramChangeRate')) {
                obj['paramChangeRate'] = ApiClient.convertToType(data['paramChangeRate'], 'Number');
            }
            if (data.hasOwnProperty('paramCode')) {
                obj['paramCode'] = ApiClient.convertToType(data['paramCode'], 'String');
            }
            if (data.hasOwnProperty('paramName')) {
                obj['paramName'] = ApiClient.convertToType(data['paramName'], 'String');
            }
            if (data.hasOwnProperty('paramValueType')) {
                obj['paramValueType'] = ApiClient.convertToType(data['paramValueType'], 'String');
            }
            if (data.hasOwnProperty('updateTime')) {
                obj['updateTime'] = ApiClient.convertToType(data['updateTime'], 'Date');
            }
        }
        return obj;
    }

    /**
    * 创建时间
    * @member {Date} createTime
    */
    createTime = undefined;
    /**
    * 是否禁用（1-是，0-否）
    * @member {Boolean} disabled
    */
    disabled = undefined;
    /**
    * 主键id
    * @member {Number} id
    */
    id = undefined;
    /**
    * 表计id
    * @member {Number} meterId
    */
    meterId = undefined;
    /**
    * 变比（正向有功，三相电流有变比；三相电压，总功率因素默认变比1）
    * @member {Number} paramChangeRate
    */
    paramChangeRate = undefined;
    /**
    * 表计参数编码
    * @member {String} paramCode
    */
    paramCode = undefined;
    /**
    * 表计参数名称
    * @member {String} paramName
    */
    paramName = undefined;
    /**
    * 表计数据类型（AGGREGATE-累计值，INTIME-即时值）
    * @member {module:model/PpsHardwareMeterParamVo.ParamValueTypeEnum} paramValueType
    */
    paramValueType = undefined;
    /**
    * 修改时间
    * @member {Date} updateTime
    */
    updateTime = undefined;






    /**
    * Allowed values for the <code>paramValueType</code> property.
    * @enum {String}
    * @readonly
    */
    static ParamValueTypeEnum = {
    
        /**
         * value: "AGGREGATE"
         * @const
         */
        "AGGREGATE": "AGGREGATE",
    
        /**
         * value: "INTIME"
         * @const
         */
        "INTIME": "INTIME",
    
        /**
         * value: "CONSUMPTION"
         * @const
         */
        "CONSUMPTION": "CONSUMPTION"    
    };



}


