/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from '../ApiClient';





/**
* The PpsHardwareMeterVo model module.
* @module model/PpsHardwareMeterVo
* @version 1.0.0
*/
export default class PpsHardwareMeterVo {
    /**
    * Constructs a new <code>PpsHardwareMeterVo</code>.
    * 表计配置表Vo
    * @alias module:model/PpsHardwareMeterVo
    * @class
    */

    constructor() {
        

        
        

        

        
    }

    /**
    * Constructs a <code>PpsHardwareMeterVo</code> from a plain JavaScript object, optionally creating a new instance.
    * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
    * @param {Object} data The plain JavaScript object bearing properties of interest.
    * @param {module:model/PpsHardwareMeterVo} obj Optional instance to populate.
    * @return {module:model/PpsHardwareMeterVo} The populated <code>PpsHardwareMeterVo</code> instance.
    */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new PpsHardwareMeterVo();

            
            
            

            if (data.hasOwnProperty('collectorId')) {
                obj['collectorId'] = ApiClient.convertToType(data['collectorId'], 'Number');
            }
            if (data.hasOwnProperty('createTime')) {
                obj['createTime'] = ApiClient.convertToType(data['createTime'], 'Date');
            }
            if (data.hasOwnProperty('deviceStatus')) {
                obj['deviceStatus'] = ApiClient.convertToType(data['deviceStatus'], 'String');
            }
            if (data.hasOwnProperty('disabled')) {
                obj['disabled'] = ApiClient.convertToType(data['disabled'], 'Boolean');
            }
            if (data.hasOwnProperty('energyType')) {
                obj['energyType'] = ApiClient.convertToType(data['energyType'], 'Number');
            }
            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'Number');
            }
            if (data.hasOwnProperty('meterBindFlag')) {
                obj['meterBindFlag'] = ApiClient.convertToType(data['meterBindFlag'], 'Boolean');
            }
            if (data.hasOwnProperty('meterCode')) {
                obj['meterCode'] = ApiClient.convertToType(data['meterCode'], 'String');
            }
            if (data.hasOwnProperty('meterIndex')) {
                obj['meterIndex'] = ApiClient.convertToType(data['meterIndex'], 'String');
            }
            if (data.hasOwnProperty('meterLastReceiveTime')) {
                obj['meterLastReceiveTime'] = ApiClient.convertToType(data['meterLastReceiveTime'], 'Date');
            }
            if (data.hasOwnProperty('meterLastUpdateTime')) {
                obj['meterLastUpdateTime'] = ApiClient.convertToType(data['meterLastUpdateTime'], 'Date');
            }
            if (data.hasOwnProperty('meterMainLevel')) {
                obj['meterMainLevel'] = ApiClient.convertToType(data['meterMainLevel'], 'String');
            }
            if (data.hasOwnProperty('meterName')) {
                obj['meterName'] = ApiClient.convertToType(data['meterName'], 'String');
            }
            if (data.hasOwnProperty('meterStartUpTime')) {
                obj['meterStartUpTime'] = ApiClient.convertToType(data['meterStartUpTime'], 'Date');
            }
            if (data.hasOwnProperty('meterStatus')) {
                obj['meterStatus'] = ApiClient.convertToType(data['meterStatus'], 'String');
            }
            if (data.hasOwnProperty('meterType')) {
                obj['meterType'] = ApiClient.convertToType(data['meterType'], 'String');
            }
            if (data.hasOwnProperty('updateTime')) {
                obj['updateTime'] = ApiClient.convertToType(data['updateTime'], 'Date');
            }
        }
        return obj;
    }

    /**
    * 采集器id
    * @member {Number} collectorId
    */
    collectorId = undefined;
    /**
    * 创建时间
    * @member {Date} createTime
    */
    createTime = undefined;
    /**
    * 设备是否可用
    * @member {module:model/PpsHardwareMeterVo.DeviceStatusEnum} deviceStatus
    */
    deviceStatus = undefined;
    /**
    * 是否禁用（1-是，0-否）
    * @member {Boolean} disabled
    */
    disabled = undefined;
    /**
    * 分类能耗类型（01-电，02-水）
    * @member {Number} energyType
    */
    energyType = undefined;
    /**
    * 主键id
    * @member {Number} id
    */
    id = undefined;
    /**
    * 表计是否启用（即是否绑定部位，1-是，0-否）
    * @member {Boolean} meterBindFlag
    */
    meterBindFlag = undefined;
    /**
    * 表号
    * @member {String} meterCode
    */
    meterCode = undefined;
    /**
    * 测点号（集中器-测点号，采集器-null）
    * @member {String} meterIndex
    */
    meterIndex = undefined;
    /**
    * 表计最后通信时间
    * @member {Date} meterLastReceiveTime
    */
    meterLastReceiveTime = undefined;
    /**
    * 表计最后更新时间，区别于本条记录更新时间
    * @member {Date} meterLastUpdateTime
    */
    meterLastUpdateTime = undefined;
    /**
    * 启用后，总表级别（空-非总表，POWERLINE-条线总表，ZONEAREA-台区总表）
    * @member {String} meterMainLevel
    */
    meterMainLevel = undefined;
    /**
    * 表计名称
    * @member {String} meterName
    */
    meterName = undefined;
    /**
    * 表计开始通信时间
    * @member {Date} meterStartUpTime
    */
    meterStartUpTime = undefined;
    /**
    * 表计状态（目前仅集中器，POWER_OFF-断电，POWER_ON-正常供电，UNKNOWN-未知）
    * @member {module:model/PpsHardwareMeterVo.MeterStatusEnum} meterStatus
    */
    meterStatus = undefined;
    /**
    * 表计类型（single-单相表，multiple-多功能表）
    * @member {String} meterType
    */
    meterType = undefined;
    /**
    * 修改时间
    * @member {Date} updateTime
    */
    updateTime = undefined;






    /**
    * Allowed values for the <code>deviceStatus</code> property.
    * @enum {String}
    * @readonly
    */
    static DeviceStatusEnum = {
    
        /**
         * value: "正常"
         * @const
         */
        "正常": "正常",
    
        /**
         * value: "禁用"
         * @const
         */
        "禁用": "禁用",
    
        /**
         * value: "待删除"
         * @const
         */
        "待删除": "待删除"    
    };

    /**
    * Allowed values for the <code>meterStatus</code> property.
    * @enum {String}
    * @readonly
    */
    static MeterStatusEnum = {
    
        /**
         * value: "断电"
         * @const
         */
        "断电": "断电",
    
        /**
         * value: "正常供电"
         * @const
         */
        "正常供电": "正常供电",
    
        /**
         * value: "未知"
         * @const
         */
        "未知": "未知",
    
        /**
         * value: "连通率正常"
         * @const
         */
        "连通率正常": "连通率正常",
    
        /**
         * value: "连通率异常"
         * @const
         */
        "连通率异常": "连通率异常"    
    };



}


