/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from '../ApiClient';
import PpsLocationEnergylineVo from './PpsLocationEnergylineVo';





/**
* The PpsLocationCompanyVo model module.
* @module model/PpsLocationCompanyVo
* @version 1.0.0
*/
export default class PpsLocationCompanyVo {
    /**
    * Constructs a new <code>PpsLocationCompanyVo</code>.
    * 公司Vo
    * @alias module:model/PpsLocationCompanyVo
    * @class
    */

    constructor() {
        

        
        

        

        
    }

    /**
    * Constructs a <code>PpsLocationCompanyVo</code> from a plain JavaScript object, optionally creating a new instance.
    * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
    * @param {Object} data The plain JavaScript object bearing properties of interest.
    * @param {module:model/PpsLocationCompanyVo} obj Optional instance to populate.
    * @return {module:model/PpsLocationCompanyVo} The populated <code>PpsLocationCompanyVo</code> instance.
    */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new PpsLocationCompanyVo();

            
            
            

            if (data.hasOwnProperty('companyId')) {
                obj['companyId'] = ApiClient.convertToType(data['companyId'], 'Number');
            }
            if (data.hasOwnProperty('companyName')) {
                obj['companyName'] = ApiClient.convertToType(data['companyName'], 'String');
            }
            if (data.hasOwnProperty('powerFeeSupportFlag')) {
                obj['powerFeeSupportFlag'] = ApiClient.convertToType(data['powerFeeSupportFlag'], 'Boolean');
            }
            if (data.hasOwnProperty('powerWarnLossRate')) {
                obj['powerWarnLossRate'] = ApiClient.convertToType(data['powerWarnLossRate'], 'Number');
            }
            if (data.hasOwnProperty('ppsLocationEnergylineVoList')) {
                obj['ppsLocationEnergylineVoList'] = ApiClient.convertToType(data['ppsLocationEnergylineVoList'], [PpsLocationEnergylineVo]);
            }
            if (data.hasOwnProperty('propertyFeeSupportFlag')) {
                obj['propertyFeeSupportFlag'] = ApiClient.convertToType(data['propertyFeeSupportFlag'], 'Boolean');
            }
            if (data.hasOwnProperty('roomFeeSupportFlag')) {
                obj['roomFeeSupportFlag'] = ApiClient.convertToType(data['roomFeeSupportFlag'], 'Boolean');
            }
            if (data.hasOwnProperty('totalPartNum')) {
                obj['totalPartNum'] = ApiClient.convertToType(data['totalPartNum'], 'Number');
            }
            if (data.hasOwnProperty('totalPayUserNum')) {
                obj['totalPayUserNum'] = ApiClient.convertToType(data['totalPayUserNum'], 'Number');
            }
            if (data.hasOwnProperty('totalPowerMeterNum')) {
                obj['totalPowerMeterNum'] = ApiClient.convertToType(data['totalPowerMeterNum'], 'Number');
            }
            if (data.hasOwnProperty('waterFeeSupportFlag')) {
                obj['waterFeeSupportFlag'] = ApiClient.convertToType(data['waterFeeSupportFlag'], 'Boolean');
            }
        }
        return obj;
    }

    /**
    * 公司id
    * @member {Number} companyId
    */
    companyId = undefined;
    /**
    * 公司名称
    * @member {String} companyName
    */
    companyName = undefined;
    /**
    * 是否支持电费收费（1-是，0-否）
    * @member {Boolean} powerFeeSupportFlag
    */
    powerFeeSupportFlag = undefined;
    /**
    * 电能预警损耗率（<1的小数）
    * @member {Number} powerWarnLossRate
    */
    powerWarnLossRate = undefined;
    /**
    * 对应公司的线路list
    * @member {Array.<module:model/PpsLocationEnergylineVo>} ppsLocationEnergylineVoList
    */
    ppsLocationEnergylineVoList = undefined;
    /**
    * 是否支持物业费收费（1-是，0-否）
    * @member {Boolean} propertyFeeSupportFlag
    */
    propertyFeeSupportFlag = undefined;
    /**
    * 是否支持房租收费（1-是，0-否）
    * @member {Boolean} roomFeeSupportFlag
    */
    roomFeeSupportFlag = undefined;
    /**
    * 总部位数
    * @member {Number} totalPartNum
    */
    totalPartNum = undefined;
    /**
    * 总用户数
    * @member {Number} totalPayUserNum
    */
    totalPayUserNum = undefined;
    /**
    * 总电表数
    * @member {Number} totalPowerMeterNum
    */
    totalPowerMeterNum = undefined;
    /**
    * 是否支持水费收费（1-是，0-否）
    * @member {Boolean} waterFeeSupportFlag
    */
    waterFeeSupportFlag = undefined;








}


