/**
 * Api Docs
 * RESTful风格的接口文档，内容详细，极大的减少了前后端的沟通成本，同时确保代码与文档保持高度一致，极大的减少维护文档的时间。
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 */


import ApiClient from '../ApiClient';





/**
* The PpsPayUserVo model module.
* @module model/PpsPayUserVo
* @version 1.0.0
*/
export default class PpsPayUserVo {
    /**
    * Constructs a new <code>PpsPayUserVo</code>.
    * 付费用户表Vo
    * @alias module:model/PpsPayUserVo
    * @class
    */

    constructor() {
        

        
        

        

        
    }

    /**
    * Constructs a <code>PpsPayUserVo</code> from a plain JavaScript object, optionally creating a new instance.
    * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
    * @param {Object} data The plain JavaScript object bearing properties of interest.
    * @param {module:model/PpsPayUserVo} obj Optional instance to populate.
    * @return {module:model/PpsPayUserVo} The populated <code>PpsPayUserVo</code> instance.
    */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new PpsPayUserVo();

            
            
            

            if (data.hasOwnProperty('address')) {
                obj['address'] = ApiClient.convertToType(data['address'], 'String');
            }
            if (data.hasOwnProperty('autoWarn')) {
                obj['autoWarn'] = ApiClient.convertToType(data['autoWarn'], 'Boolean');
            }
            if (data.hasOwnProperty('bankAccount')) {
                obj['bankAccount'] = ApiClient.convertToType(data['bankAccount'], 'String');
            }
            if (data.hasOwnProperty('companyId')) {
                obj['companyId'] = ApiClient.convertToType(data['companyId'], 'Number');
            }
            if (data.hasOwnProperty('createTime')) {
                obj['createTime'] = ApiClient.convertToType(data['createTime'], 'Date');
            }
            if (data.hasOwnProperty('disabled')) {
                obj['disabled'] = ApiClient.convertToType(data['disabled'], 'Boolean');
            }
            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'Number');
            }
            if (data.hasOwnProperty('lastRechargeTime')) {
                obj['lastRechargeTime'] = ApiClient.convertToType(data['lastRechargeTime'], 'Date');
            }
            if (data.hasOwnProperty('lastWarnTime')) {
                obj['lastWarnTime'] = ApiClient.convertToType(data['lastWarnTime'], 'Date');
            }
            if (data.hasOwnProperty('maxCreditAmount')) {
                obj['maxCreditAmount'] = ApiClient.convertToType(data['maxCreditAmount'], 'Number');
            }
            if (data.hasOwnProperty('maxRechargeAmount')) {
                obj['maxRechargeAmount'] = ApiClient.convertToType(data['maxRechargeAmount'], 'Number');
            }
            if (data.hasOwnProperty('mobilePhone')) {
                obj['mobilePhone'] = ApiClient.convertToType(data['mobilePhone'], 'String');
            }
            if (data.hasOwnProperty('payUserName')) {
                obj['payUserName'] = ApiClient.convertToType(data['payUserName'], 'String');
            }
            if (data.hasOwnProperty('platformAuthUserId')) {
                obj['platformAuthUserId'] = ApiClient.convertToType(data['platformAuthUserId'], 'Number');
            }
            if (data.hasOwnProperty('remainingAmount')) {
                obj['remainingAmount'] = ApiClient.convertToType(data['remainingAmount'], 'Number');
            }
            if (data.hasOwnProperty('tel')) {
                obj['tel'] = ApiClient.convertToType(data['tel'], 'String');
            }
            if (data.hasOwnProperty('updateTime')) {
                obj['updateTime'] = ApiClient.convertToType(data['updateTime'], 'Date');
            }
            if (data.hasOwnProperty('warnAmount')) {
                obj['warnAmount'] = ApiClient.convertToType(data['warnAmount'], 'Number');
            }
            if (data.hasOwnProperty('warnInterval')) {
                obj['warnInterval'] = ApiClient.convertToType(data['warnInterval'], 'Number');
            }
        }
        return obj;
    }

    /**
    * 地址
    * @member {String} address
    */
    address = undefined;
    /**
    * 是否余额预警（1-是，0-否）
    * @member {Boolean} autoWarn
    */
    autoWarn = undefined;
    /**
    * 银行卡号（预留代扣银行卡号字段，后续扩展）
    * @member {String} bankAccount
    */
    bankAccount = undefined;
    /**
    * 公司id
    * @member {Number} companyId
    */
    companyId = undefined;
    /**
    * 创建时间
    * @member {Date} createTime
    */
    createTime = undefined;
    /**
    * 是否禁用（1-是，0-否）
    * @member {Boolean} disabled
    */
    disabled = undefined;
    /**
    * 主键id
    * @member {Number} id
    */
    id = undefined;
    /**
    * 最后充值时间
    * @member {Date} lastRechargeTime
    */
    lastRechargeTime = undefined;
    /**
    * 最后一次预警时间
    * @member {Date} lastWarnTime
    */
    lastWarnTime = undefined;
    /**
    * 最大信用额度（正数）
    * @member {Number} maxCreditAmount
    */
    maxCreditAmount = undefined;
    /**
    * 最大充值额度（正数）
    * @member {Number} maxRechargeAmount
    */
    maxRechargeAmount = undefined;
    /**
    * 手机号码
    * @member {String} mobilePhone
    */
    mobilePhone = undefined;
    /**
    * 付费用户姓名
    * @member {String} payUserName
    */
    payUserName = undefined;
    /**
    * 外部统一权限用户id（接入统一登录时使用）
    * @member {Number} platformAuthUserId
    */
    platformAuthUserId = undefined;
    /**
    * 余额
    * @member {Number} remainingAmount
    */
    remainingAmount = undefined;
    /**
    * 固定电话
    * @member {String} tel
    */
    tel = undefined;
    /**
    * 修改时间
    * @member {Date} updateTime
    */
    updateTime = undefined;
    /**
    * 预警金额
    * @member {Number} warnAmount
    */
    warnAmount = undefined;
    /**
    * 预警周期（以小时为单位）
    * @member {Number} warnInterval
    */
    warnInterval = undefined;








}


